<?php

/**
 * The admin-specific functionality of the plugin.
 */
class Food_Recipes_Pack_User_Fields {

	/**
	 * Initialize the class and set its properties.
	 */
	public function __construct() {

	}

	/**
	 * Add social links to User Profile.
	 * more info: http://justintadlock.com/archives/2009/09/10/adding-and-using-custom-user-profile-fields
	 * @param $user object/array
	 */
	public function inspiry_additional_user_fields( $user ) {
		?>
		<h3><?php esc_html_e( 'Additional User Fields', 'inspirythemes-food-recipes' ); ?></h3>

		<table class="form-table">
			<tr>
				<th><label for="user_designation"><?php esc_html_e( 'User Designation', 'inspirythemes-food-recipes' ); ?></label></th>
				<td>
					<input type="text" name="user_designation" id="user_designation" value="<?php echo  get_the_author_meta( 'user_designation', $user->ID ); ?>" class="regular-text" />
					<span class="description"><?php esc_html_e( 'Add User Designation, it will be show as title.', 'inspirythemes-food-recipes' ); ?></span>
				</td>
			</tr>
			<tr>
				<th><label for="twitter"><?php esc_html_e( 'Twitter URL', 'inspirythemes-food-recipes' ); ?></label></th>
				<td>
					<input type="text" name="twitter" id="twitter" value="<?php echo  get_the_author_meta( 'twitter', $user->ID ); ?>" class="regular-text" />
					<span class="description"><?php esc_html_e( 'Add your twitter URL here not just username.', 'inspirythemes-food-recipes' ); ?></span>
				</td>
			</tr>
			<tr>
				<th><label for="facebook"><?php esc_html_e( 'Facebook URL', 'inspirythemes-food-recipes' ); ?></label></th>
				<td>
					<input type="text" name="facebook" id="facebook" value="<?php echo  get_the_author_meta( 'facebook', $user->ID ); ?>" class="regular-text" />
					<span class="description"><?php esc_html_e( 'Add your facebook URL here not just username.', 'inspirythemes-food-recipes' ); ?></span>
				</td>
			</tr>
			<tr>
				<th><label for="linkedin"><?php esc_html_e( 'Linkedin URL', 'inspirythemes-food-recipes' ); ?></label></th>
				<td>
					<input type="text" name="linkedin" id="linkedin" value="<?php echo  get_the_author_meta( 'linkedin', $user->ID ); ?>" class="regular-text" />
					<span class="description"><?php esc_html_e( 'Add your linkedin URL here not just username.', 'inspirythemes-food-recipes' ); ?></span>
				</td>
			</tr>
			<tr>
				<th><label for="youtube"><?php esc_html_e( 'Youtube URL', 'inspirythemes-food-recipes' ); ?></label></th>
				<td>
					<input type="text" name="youtube" id="youtube" value="<?php echo  get_the_author_meta( 'youtube', $user->ID ); ?>" class="regular-text" />
					<span class="description"><?php esc_html_e( 'Add your youtube URL here not just username.', 'inspirythemes-food-recipes' ); ?></span>
				</td>
			</tr>
			<tr>
				<th><label for="photo"><?php esc_html_e( 'A special image for each user', 'inspirythemes-food-recipes' ); ?></label></th>
				<td>
					<!-- Outputs the image after save -->
					<?php if(get_the_author_meta( 'photo', $user->ID )){ ?>
						<img src="<?php echo esc_url( get_the_author_meta( 'photo', $user->ID ) ); ?>" style="max-width:150px; height: auto;"><br />
					<?php } ?>
					<!-- Outputs the text field and displays the URL of the image retrieved by the media uploader -->
					<input type="text" name="photo" id="photo" value="<?php echo esc_url_raw( get_the_author_meta( 'photo', $user->ID ) ); ?>" class="regular-text" />
					<!-- Outputs the save button -->
					<input type='button' class="additional-user-image button-primary" value="<?php esc_html_e( 'Upload Image', 'inspirythemes-food-recipes' ); ?>" id="uploadimage"/><br />
					<span class="description"><?php esc_html_e( 'Upload an additional image for your user profile.', 'inspirythemes-food-recipes' ); ?></span>
				</td>
			</tr>

		</table><!-- end form-table -->
		<?php
	}

	/**
	 * Saves additional user fields to the database
	 * @return void
	 * @param int $user_id
	 */
	public function inspiry_save_additional_user_meta( $user_id ) {
		// only saves if the current user can edit user profiles
		if ( !current_user_can( 'edit_user', $user_id ) )
			die;

		update_user_meta( $user_id, 'user_designation', sanitize_text_field( $_POST['user_designation'] ) );
		update_user_meta( $user_id, 'twitter', sanitize_text_field( $_POST['twitter'] ) );
		update_user_meta( $user_id, 'facebook', sanitize_text_field( $_POST['facebook'] ) );
		update_user_meta( $user_id, 'google', sanitize_text_field( $_POST['google'] ) );
		update_user_meta( $user_id, 'linkedin', sanitize_text_field( $_POST['linkedin'] ) );
		update_user_meta( $user_id, 'youtube', sanitize_text_field( $_POST['youtube'] ) );
		update_user_meta( $user_id, 'photo', wp_kses_post( $_POST['photo'] ) );
	}
}