<?php

/**
 * Define the Columns
 */
class Food_Recipes_Pack_Columns {

	/**
	 * Define the core functionality of the plugin.
	 */
	public function __construct() {
		add_shortcode( 'columns', [ $this, 'show_columns' ] );
		add_shortcode( 'one_third', [ $this, 'show_column' ] );
		add_shortcode( 'two_third', [ $this, 'show_column' ] );
		add_shortcode( 'one_fourth', [ $this, 'show_column' ] );
		add_shortcode( 'three_fourth', [ $this, 'show_column' ] );
		add_shortcode( 'two_column', [ $this, 'show_column' ] );
		add_shortcode( 'single_column', [ $this, 'show_column' ] );

	}

	public function show_columns( $atts, $content = null ) {
		return '<div class="columns">' . do_shortcode( $content ) . '</div>';
	}

	public function show_column( $atts, $content = null, $tag ) {
		$class = str_replace( '_', '-', $tag );
		$class = str_replace( 'two-column', 'two-cols', $class );
		$class = str_replace( 'single-column', 'single-col', $class );
		return '<div class="' . $class . '">' . do_shortcode( $content ) . '</div>';
	}
}
