<?php

/**
 * Define the Elements
 */
class Food_Recipes_Pack_Elements {

	/**
	 * Define the core functionality of the plugin.
	 */
	public function __construct() {
		add_shortcode( 'hline_fat', [ $this, 'show_hline_fat' ] );
		add_shortcode( 'faq_wrapper', [ $this, 'show_faq_wrap' ] );
		add_shortcode( 'faq_item', [ $this, 'show_faq_item' ] );
		add_shortcode( 'accordion', [ $this, 'show_accor_wrap' ] );
		add_shortcode( 'accor_block', [ $this, 'show_accor_block' ] );
		add_shortcode( 'toggle', [ $this, 'show_toggle_wrap' ] );
		add_shortcode( 'toggle_block', [ $this, 'show_toggle_block' ] );
		add_shortcode( 'tabs', [ $this, 'show_tabs_wrap' ] );
		add_shortcode( 'tab_block', [ $this, 'show_tab_block' ] );
		add_shortcode( 'button', [ $this, 'show_button' ] );
		add_shortcode( 'list', [ $this, 'show_list' ] );
		add_shortcode( 'note', [ $this, 'show_note' ] );
		add_shortcode( 'menu', [ $this, 'show_menu' ] );
		add_shortcode( 'recipes_listing', [ $this, 'inspiry_recipes_listing' ] );
	}

	public function show_hline_fat( $atts, $content = null ) {
		return '<span class="w-pet-border"></span>';
	}

	public function show_faq_wrap( $atts, $content = null ) {
		return '<ul class="faq-list">' . do_shortcode( $content ) . '</ul>';
	}

	public function show_faq_item( $atts, $content = null ) {
		extract( shortcode_atts( array(
			'title' => ''
		), $atts ) );

		return '<li><span class="number"></span><h3>' . $title . '</h3><p>' . do_shortcode( $content ) . '</p></li>';
	}

	public function show_accor_wrap( $atts, $content = null ) {
		return '<div class="accor-container"><div class="accordion">' . do_shortcode( $content ) . '</div></div>';
	}

	public function show_accor_block( $atts, $content = null ) {
		extract( shortcode_atts( array(
			'title'  => '',
			'active' => false
		), $atts ) );

		$ac_class = '';
		if ( $active == true ) {
			$ac_class = 'current';
		}

		return '<h5 class="' . $ac_class . '"><span><i class="fa fa-chevron-circle-right"></i></span>' . $title . '</h5><div class="pane ' . $ac_class . '">' . do_shortcode( $content ) . '</div>';
	}

	public function show_toggle_wrap( $atts, $content = null ) {

		return '<div class="toggle-box"><ul>' . do_shortcode( $content ) . '</ul></div>';
	}
	public function show_toggle_block( $atts, $content = null ) {
		extract( shortcode_atts( array(
			'title'  => '',
			'active' => false
		), $atts ) );

		$ac_class = '';
		if ( $active == true ) {
			$ac_class = 'current';
		}

		return '<li><h5><i class="fa fa-chevron-circle-right"></i></span>' . $title . '</h5><p>' . do_shortcode( $content ) . '</p><span class="w-pet-border"></span></li>';
	}

	public function show_tabs_wrap( $atts, $content = null ) {
		extract( shortcode_atts( array(
			"titles" => '',
		), $atts ) );
		$all_title = explode( ',', $titles );
		$html      = '<div class="tabed"><ul class="tabs">';
		foreach ( $all_title as $title ) {
			$html .= '<li>' . $title . '<span></span></li>';
		}
		$html .= '</ul>' . do_shortcode( $content ) . '</div>';

		return $html;
	}

	public function show_tab_block( $atts, $content = null ) {

		return '<div class="block">' . do_shortcode( $content ) . '</div>';
	}

	public function show_button( $atts, $content = null ) {
		extract( shortcode_atts( array(
			"link"   => '#',
			"target" => '_blank'
		), $atts ) );

		return '<a href="' . $link . '" target="' . $target . '" class="readmore"><span>' . $content . '</span></a>';
	}

	public function show_list( $atts, $content = null ) {
		extract( shortcode_atts( array(
			"type" => ''
		), $atts ) );

		return '<div class="unlist ' . $type . '">' . do_shortcode( $content ) . '</div>';
	}

	public function show_note( $atts, $content = null ) {
		extract( shortcode_atts( array(
			"type" => ''
		), $atts ) );

		return '<p class="info-msg msg-' . $type . '"><span>' . do_shortcode( $content ) . '</span></p>';
	}

	public function show_menu( $atts, $content = null ) {
		extract( shortcode_atts( array(
			"type" => ''
		), $atts ) );

		return '<div class="menu-list">' . do_shortcode( $content ) . '</div>';
	}

	public function inspiry_recipes_listing( $atts, $content = null ) {

		extract( shortcode_atts( array(
			'count'             =>  -1,
			'recipe_ids'        =>  '',
			'skip_recipe_ids'   =>  '',
			'columns'           =>  '',
			'view'              =>  ''
		), $atts ) );

		$recipe_args = array(
			'post_type'         => 'recipe'
		);

		if( $count > 0 ){
			$recipe_args[ 'posts_per_page' ] = $count;
		}

		if( $recipe_ids > 0 ){
			$recipe_args[ 'post__in' ] = array_map( 'intval', explode( ',', $recipe_ids ) );
			$recipe_args['orderby'] = 'post__in';
		}

		if( $skip_recipe_ids > 0 ){
			$recipe_args[ 'post__not_in' ] = array_map( 'intval', explode( ',', $skip_recipe_ids ) );
		}

		$recipe_col = '';

		if( ! empty( (int)$columns ) && (int)$columns > 0 && $view == 'grid' ){
			if( $columns == 2 ){
				$col_num = 6;
			} elseif ( $columns == 3 ){
				$col_num = 4;
			} elseif ( $columns == 4 ){
				$col_num = 3;
			} else {
				$col_num = 12;
			}
			$recipe_col = 'col-md-' . (int)$col_num;
		}

		if( $view == 'grid' ){
			$view_class = 'grid-view';
		} else {
			$view_class = 'list-view';
		}

		$classes   = array( 'recipe-listing-item', 'clearfix', $recipe_col, $view_class );

		$recipe_query = new WP_Query( $recipe_args );

		$return_html = '';

		if ( $recipe_query->have_posts() ) {
			//$return_html .= '<div class="container">';
			$return_html .= '<div class="row">';
			while ( $recipe_query->have_posts() ) {
				$recipe_query->the_post();
				global $post;

				$postID    = $post->ID;

				$post_classes_array = get_post_class( $classes, (int) $postID );
				$post_classes = implode( ' ', $post_classes_array );
				$return_html .= '<div class="' . esc_attr( $post_classes ) . '" id="post-' . get_the_ID() . '" itemscope itemtype="http://schema.org/Recipe">';
				if ( has_post_thumbnail( $post->ID ) ) {
					$lightbox_check = get_option( 'pp_ctrl_for_recipe', false );
					$image_url      = false;
					$image_id       = get_post_thumbnail_id();
					if ( $image_id ) {
						$image_url = wp_get_attachment_image_src( $image_id, 'full-size', true );
					}

					$return_html .= '<div class="post-thumb single-img-box" itemprop="image" itemscope itemtype="http://schema.org/ImageObject">';
					if ( ! empty( $image_url ) ) {
						$return_html .= '<meta itemprop="url" content="' . esc_url( $image_url[ 0 ] ) . '"/>';
					}
					if ( 'true' === $lightbox_check ) {
						$lb_href = 'data-rel="prettyPhoto" href="' . esc_url( $image_url[ 0 ] ) . '"';
					} else {
						$lb_href = 'href="' . esc_url( get_permalink() ) . '"';
					}
					$return_html .= '<a ' . wp_kses( $lb_href, inspiry_allowed_html_tags() ) . ' title="' . the_title_attribute( array( 'echo' => false ) ) . '">';
					$return_html .= get_the_post_thumbnail( $postID, 'recipe-listing', array( 'itemprop' => 'contentUrl' ) );
					$return_html .= '<meta itemprop="width" content="' . esc_html( $image_url[ 1 ] ) . '"/>';
					$return_html .= '<meta itemprop="height" content="' . esc_html( $image_url[ 2 ] ) . '"/>';
					$return_html .= '</div>';
				}

				$return_html .= '<div class="recipe-info">';
				$return_html .= '<h2 class="entry-title" itemprop="name"><a href="' . get_permalink( $postID ) . '">' . get_the_title( $postID ) . '</a></h2>';
				$return_html .= '<meta itemprop="author" content="' . get_the_author() . '"/>';
				$return_html .= '<meta itemprop="dateModified" content="' . get_the_modified_date( 'Y-m-d' ) . '"/>';
				if ( taxonomy_exists( 'recipe_type' ) ) {
					$return_html .= '<div class="recipe-tags">';
					$return_html .= '<span itemprop="recipeCategory" class="type">' . get_the_term_list( $postID, 'recipe_type', esc_html__( ' Recipe Type: ', 'food-recipes-pack' ), ', ', '' ) . '</span>';
					$return_html .= '<span itemprop="recipeCuisine" class="cuisine">' . get_the_term_list( $postID, 'cuisine', esc_html__( ' Cuisine: ', 'food-recipes-pack' ), ', ', '' ) . '</span>';
					$return_html .= '</div>';
				}

				$rating_check = ! empty( get_option( 'recipe_show_rating' ) ) ? get_option( 'recipe_show_rating' ) : false;
				if ( 'show_rating' === $rating_check && class_exists( 'Food_Recipes_Pack_Pack_Rating' ) ) {
					$rating = new Food_Recipes_Pack_Pack_Rating();
					$return_html .= '<div class="rating shortcode-listing" itemprop="aggregateRating" itemscope itemtype="http://schema.org/AggregateRating">';
					$return_html .= '<strong> ' . $rating->the_recipe_rating( $postID, false ) . '</strong>';
					$return_html .= '<span>' . esc_html__( 'Average Rating:', 'food-recipes-pack' );
					$return_html .= '<span itemprop="ratingValue">(' . esc_html( Food_Recipes_Pack_Pack_Rating::get_avg_rating( $postID ) ) . ' / <small itemprop="ratingCount"> 5</small>)</span>';
					$return_html .= '</span>';
					$return_html .= '</div>';
				} else {
					echo '<hr>';
				}

				$return_html .= '<p itemprop="description">';
				$theme_framework = get_option( 'recipe_theme_framework' );
				if ( $theme_framework == 'show' ) {
					$excerpt = 50;
				} else {
					$excerpt = 15;
				}
				$return_html .= wp_kses_post( wp_trim_words( get_the_excerpt(), $excerpt, ' ...' ) );
				$return_html .= '</p>';
				$return_html .= '<a href="' . get_permalink( $postID ) . '" class="readmore">' . esc_html__( 'Read more', 'food-recipes-pack' ) . '</a>';
				$return_html .= '</div>'; // ending .recipe-info
				$return_html .= '</div>'; // ending .recipe-listing-item
			}
			$return_html .= '</div>'; // ending .row
			//$return_html .= '</div>'; // ending .container
		} else {
			$postID    = $post->ID;
			$postClass = get_post_class( $classes, (int) $postID );
			$return_html .= '<div ' . wp_kses( $postClass, inspiry_allowed_html_tags() ) . ' id="post-' . $postID . '">';
			$return_html .= '<h2 class="post-title">' . esc_html_e( 'No Recipes Found', 'food-recipes-pack' ) . '</h2>';
			$return_html .= '</div><!-- end of post div -->';
			?>
			<?php
		}

		return $return_html;
	}
}