<?php

/********* Starting Twitter Widget for Footer *********/
if ( ! class_exists( 'Footer_Info_Widget' ) ) {
	class Footer_Info_Widget extends WP_Widget {
		function __construct() {
			$widget_ops = array(
				'classname' => 'about',
				array( 'description' => esc_html__( 'This widget is to put Company or Personal Information along with logo.', 'food-recipes-pack' ), )
				// Args
			);
			parent::__construct( 'footer_info_widget', esc_html__( 'Food Recipe: Footer Info Widget', 'food-recipes-pack' ), $widget_ops );
		}

		/********* Starting Twitter Widget Function *********/

		public function widget( $args, $instance ) {
			extract( $args );
			echo $before_widget;
			$title = false;

			$info_widget_logo_url    = $instance['info_widget_logo_url'];
			$info_widget_text        = $instance['info_widget_text'];
			$info_widget_button_text = $instance['info_widget_button_text'];
			$info_widget_button_url  = $instance['info_widget_button_url'];
			if ( ! empty( $info_widget_logo_url ) ) {
				?>
                <a href="<?php echo home_url(); ?>"><img src="<?php echo esc_url( $info_widget_logo_url ); ?>"
                                                         alt="<?php bloginfo( 'name' ); ?>" class="footer-logo"/></a>
				<?php
			}
			?>
            <p><?php echo esc_attr( $info_widget_text ); ?>...</p>
			<?php
			if ( ! empty( $info_widget_button_url ) ) {
				?>
                <a href="<?php echo esc_url( $info_widget_button_url ); ?>"
                   class="readmore"><?php echo esc_attr( $info_widget_button_text ); ?></a>
				<?php
			}
			echo $after_widget;
		}

		/********* Starting Twitter Widget Admin Form *********/

		public function form( $instance ) {
			$instance = wp_parse_args( (array) $instance, array(
				'info_widget_logo_url'    => 'url',
				'info_widget_text'        => 'text',
				'info_widget_button_text' => esc_html__( 'Read More', 'food-recipes-pack' ),
				'info_widget_button_url'  => 'url'
			) );

			$info_widget_logo_url    = $instance['info_widget_logo_url'];
			$info_widget_text        = $instance['info_widget_text'];
			$info_widget_button_text = $instance['info_widget_button_text'];
			$info_widget_button_url  = $instance['info_widget_button_url'];
			?>
            <p>
                <label for="<?php echo $this->get_field_id( 'info_widget_logo_url' ); ?>"><?php esc_html_e( 'Footer Logo Image URL', 'food-recipes-pack' ); ?></label>
                <input class="widefat" id="<?php echo $this->get_field_id( 'info_widget_logo_url' ); ?>"
                       name="<?php echo $this->get_field_name( 'info_widget_logo_url' ); ?>" type="text"
                       value="<?php echo esc_url( $info_widget_logo_url ); ?>"/>
            </p>
            <p>
                <label for="<?php echo $this->get_field_id( 'info_widget_text' ); ?>"><?php esc_html_e( 'Company Info', 'food-recipes-pack' ); ?></label>
                <textarea class="widefat" rows="5" id="<?php echo $this->get_field_id( 'info_widget_text' ); ?>"
                          name="<?php echo $this->get_field_name( 'info_widget_text' ); ?>"><?php echo esc_attr( $info_widget_text ); ?></textarea>
            </p>
            <p>
                <label for="<?php echo $this->get_field_id( 'info_widget_button_text' ); ?>"><?php esc_html_e( 'Button Text', 'food-recipes-pack' ); ?></label>
                <input class="widefat" id="<?php echo $this->get_field_id( 'info_widget_button_text' ); ?>"
                       name="<?php echo $this->get_field_name( 'info_widget_button_text' ); ?>"
                       type="text" value="<?php echo esc_attr( $info_widget_button_text ); ?>"/>
            </p>
            <p>
                <label for="<?php echo $this->get_field_id( 'info_widget_button_url' ); ?>"><?php esc_html_e( 'Button URL', 'food-recipes-pack' ); ?></label>
                <input class="widefat" id="<?php echo $this->get_field_id( 'info_widget_button_url' ); ?>"
                       name="<?php echo $this->get_field_name( 'info_widget_button_url' ); ?>" type="text"
                       value="<?php echo esc_url( $info_widget_button_url ); ?>"/>
            </p>
			<?php
		}


		/********* Starting Twitter Widget Update Function *********/

		public function update( $new_instance, $old_instance ) {
			$instance                            = $old_instance;
			$instance['info_widget_logo_url']    = strip_tags( $new_instance['info_widget_logo_url'] );
			$instance['info_widget_text']        = strip_tags( $new_instance['info_widget_text'] );
			$instance['info_widget_button_text'] = strip_tags( $new_instance['info_widget_button_text'] );
			$instance['info_widget_button_url']  = strip_tags( $new_instance['info_widget_button_url'] );

			return $instance;
		}

	}
}
