<?php


/********* Starting Home Page Bottom Area Ad Widget for ad sized 642px by 79px *********/
if ( ! class_exists( 'Homepage_Ad_Widget' ) ) {
	class Homepage_Ad_Widget extends WP_Widget {
		function __construct() {
			parent::__construct(
				'homepage_ad_widget', // Base ID
				esc_html__( 'Food Recipe: Homepage Advertisement', 'food-recipes-pack' ), // Name
				array( 'description' => esc_html__( 'This widget is for advertisment on homepage. Image Propotions: Width: 642px; Height: 79px;', 'food-recipes-pack' ), ) // Args
			);
		}


		/********* Starting Home Page Bottom Area Ad Widget Function *********/

		public function widget( $args, $instance ) {
			extract( $args );

			$ad_link_url    = $instance['ad_link_url'];
			$image_link_url = $instance['image_link_url'];

			if ( ! empty( $image_link_url ) ) {
				echo '<div class="ads-642x79 col-lg-8 col-md-12">
                        <a href="' . esc_url( $ad_link_url ) . '"><img src="' . esc_url( $image_link_url ) . '" width="642" height="79" alt="Recipe Ads" /></a>
                     </div>';
			}
		}


		/********* Starting Home Page Bottom Area Ad Widget Admin Form *********/

		public function form( $instance ) {
			$instance = wp_parse_args( (array) $instance, array( 'ad_link_url' => '#', 'image_link_url' => '#' ) );

			$ad_link_url    = $instance['ad_link_url'];
			$image_link_url = $instance['image_link_url'];

			?>
            <p>
                <label for="<?php echo $this->get_field_id( 'ad_link_url' ); ?>"><?php esc_html_e( 'Advertisement Target URL', 'food-recipes-pack' ); ?></label>
                <input class="widefat" id="<?php echo $this->get_field_id( 'ad_link_url' ); ?>"
                       name="<?php echo $this->get_field_name( 'ad_link_url' ); ?>" type="text"
                       value="<?php echo esc_url( $ad_link_url ); ?>"/>
            </p>
            <p>
                <label for="<?php echo $this->get_field_id( 'image_link_url' ); ?>"><?php esc_html_e( 'Advertisement Image URL', 'food-recipes-pack' ); ?></label>
                <input class="widefat" id="<?php echo $this->get_field_id( 'image_link_url' ); ?>"
                       name="<?php echo $this->get_field_name( 'image_link_url' ); ?>" type="text"
                       value="<?php echo esc_url( $image_link_url ); ?>"/>
            </p>

			<?php
		}


		/********* Starting Home Page Bottom Area Ad Widget Update Function *********/

		public function update( $new_instance, $old_instance ) {
			$instance = $old_instance;

			$instance['ad_link_url']    = strip_tags( $new_instance['ad_link_url'] );
			$instance['image_link_url'] = strip_tags( $new_instance['image_link_url'] );

			return $instance;

		}

	}
}