<?php

/********* Starting Recipe Types Widget for Sidebar *********/
if ( ! class_exists( 'Recipe_Types_Widget' ) ) {
	class Recipe_Types_Widget extends WP_Widget {
		function __construct() {
			parent::__construct(
				'recipe_types', // Base ID
				esc_html__( 'Food Recipe: Recipe Types', 'food-recipes-pack' ), // Name
				array( 'description' => esc_html__( 'Show List of Recipe Types.', 'food-recipes-pack' ), ) // Args
			);
		}

		/********* Starting Recipe Types Widget Function *********/

		public function widget( $args, $instance ) {
			extract( $args );

			$title = apply_filters( 'widget_title', $instance['title'] );
			if ( empty( $title ) ) {
				$title = false;
			}


			$args = array(
				'taxonomy' => 'recipe_type',
				'title_li' => ''
			);

			echo $before_widget;

			echo '<h2 class="w-bot-border bmarginless entry-title">';
			echo $title;
			echo '</h2>';

			echo '<div class="archives clearfix">
					<ul>';
			wp_list_categories( $args );
			echo '</ul>
				</div><!-- end of fav-recipes widget -->';

			echo $after_widget;
		}


		/********* Starting Recipe Types Widget Admin Form *********/

		public function form( $instance ) {
			$instance = wp_parse_args( (array) $instance, array( 'title' => esc_html__( 'Recipe Types', 'food-recipes-pack' ) ) );

			$title = esc_attr( $instance['title'] );

			?>
            <p>
                <label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php esc_html_e( 'Widget Title', 'food-recipes-pack' ); ?></label>
                <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>"
                       name="<?php echo $this->get_field_name( 'title' ); ?>" type="text"
                       value="<?php echo $title; ?>"/>
            </p>
			<?php
		}

		/********* Starting Recipe Types Widget Update Function *********/

		public function update( $new_instance, $old_instance ) {
			$instance          = $old_instance;
			$instance['title'] = strip_tags( $new_instance['title'] );

			return $instance;
		}

	}
}