<?php

/********* Starting Sidebar Ad Widget *********/
if ( ! class_exists( 'Sidebar_Ad_Widget' ) ) {
	class Sidebar_Ad_Widget extends WP_Widget {

		function __construct() {
			parent::__construct(
				'sidebar_ad_widget', // Base ID
				esc_html__( 'Food Recipe: Sidebar Ad', 'food-recipes-pack' ), // Name
				array( 'description' => esc_html__( 'This widget is for advertisment on sidebar. Image Propotions: Width: 253px; Height: 209px; ', 'food-recipes-pack' ), ) // Args
			);
		}

		/********* Starting Sidebar Ad Widget Function *********/

		public function widget( $args, $instance ) {
			extract( $args );

			$sb_ad_link_url    = $instance['ad_link_url'];
			$sb_image_link_url = $instance['image_link_url'];

			echo '<span class="w-pet-border"></span><br /><div class="ads-253x209">
							<a href="' . $sb_ad_link_url . '"><img src="' . $sb_image_link_url . '" width="253" height="209" alt="Recipe Ads" /></a>';
			echo '</div>';
		}


		/********* Starting Sidebar Ad Widget Admin From *********/

		public function form( $instance ) {
			$instance = wp_parse_args( (array) $instance, array( 'ad_link_url' => '#', 'image_link_url' => '#' ) );

			$sb_ad_link_url    = $instance['ad_link_url'];
			$sb_image_link_url = $instance['image_link_url'];

			?>
            <p>
                <label for="<?php echo $this->get_field_id( 'ad_link_url' ); ?>"><?php esc_html_e( 'Ad Link URL', 'food-recipes-pack' ); ?></label>
                <input class="widefat" id="<?php echo $this->get_field_id( 'ad_link_url' ); ?>"
                       name="<?php echo $this->get_field_name( 'ad_link_url' ); ?>" type="text"
                       value="<?php echo $sb_ad_link_url; ?>"/>
            </p>
            <p>
                <label for="<?php echo $this->get_field_id( 'image_link_url' ); ?>"><?php esc_html_e( 'Ad Image URL', 'food-recipes-pack' ); ?></label>
                <input class="widefat" id="<?php echo $this->get_field_id( 'image_link_url' ); ?>"
                       name="<?php echo $this->get_field_name( 'image_link_url' ); ?>" type="text"
                       value="<?php echo $sb_image_link_url; ?>"/>
            </p>
			<?php
		}


		/********* Starting Sidebar Ad Widget Update Function *********/

		public function update( $new_instance, $old_instance ) {
			$instance = $old_instance;

			$instance['ad_link_url']    = esc_url( $new_instance['ad_link_url'] );
			$instance['image_link_url'] = esc_url( $new_instance['image_link_url'] );

			return $instance;
		}
	}
}