(function ($) {

	"use strict";

	/*----------------------------------------------------------------------------------*/
	/*	Contact Form AJAX validation and submition
	/*  Validation Plugin : http://bassistance.de/jquery-plugins/jquery-plugin-validation/
	/*	Form Ajax Plugin : http://www.malsup.com/jquery/form/
	/*---------------------------------------------------------------------------------- */
	if (jQuery().validate && jQuery().ajaxSubmit) {

		var submitButton     = $('#contact-submit'),
			ajaxLoader       = $('#contact-loader'),
			messageContainer = $('#message-sent'),
			errorContainer   = $('#search-error-container');

		var formOptions = {
			beforeSubmit: function () {
				submitButton.attr('disabled', 'disabled');
				ajaxLoader.fadeIn('fast');
				messageContainer.fadeOut('fast');
				errorContainer.fadeOut('fast');
			},
			success: function (ajax_response, statusText, xhr, $form) {
				var response = $.parseJSON(ajax_response);
				ajaxLoader.fadeOut('fast');
				submitButton.removeAttr('disabled');
				if (response.success) {
					$form.resetForm();
                    if (contact_recaptcha['site_key'] !== '') {
                        grecaptcha.ready(function () {
                            grecaptcha.execute(contact_recaptcha['site_key'], {action: 'contact'}).then(function (token) {
                                var recaptchaResponse   = document.getElementById('contact-recaptcha-response');
                                recaptchaResponse.value = token;
                            });
                        });
                    }
					messageContainer.html(response.message).fadeIn('fast');

				} else {
					errorContainer.html(response.message).fadeIn('fast');
				}
			}
		};
		if (contact_recaptcha['site_key'] !== '' && document.body.classList.contains( 'page-template-template-contact' ) ) {
			grecaptcha.ready(function () {
				grecaptcha.execute(contact_recaptcha['site_key'], {action: 'contact'}).then(function (token) {
					var recaptchaResponse   = document.getElementById('contact-recaptcha-response');
					recaptchaResponse.value = token;
				});
			});
		}
		// Contact page form
		$('#contact-form').validate({
			errorLabelContainer: errorContainer,
			submitHandler: function (form) {
				$(form).ajaxSubmit(formOptions);
			}
		});

		// Recipe submit form.
		$('#recipe-form').validate();
	}


}(jQuery));
