<?php
/**
 * Child theme functions
 */

if ( !function_exists( 'inspiry_enqueue_child_styles' ) ) {
	/**
	 * Enqueuing child theme styles
	 */
	function inspiry_enqueue_child_styles() {
		if ( !is_admin() ) {

			// enqueuing parent stylesheet
			wp_enqueue_style(
				'parent-style',
				get_template_directory_uri() . '/style.css'
			);

			wp_enqueue_style(
				'child-style',
				get_stylesheet_directory_uri() . '/style.css',
				array( 'parent-style' ),
				wp_get_theme()->get('Version')
			);

			// child custom css
			wp_enqueue_style(
				'child-custom-css',
				get_stylesheet_directory_uri() . '/css/child-custom.css',
				array(),
				'1.0.0',
				'all'
			);
		}
	}
	add_action( 'wp_enqueue_scripts', 'inspiry_enqueue_child_styles', 999 );
}


if ( !function_exists( 'inspiry_enqueue_child_scripts' ) ) {
	/**
	 * Enqueuing child theme scripts
	 */
	function inspiry_enqueue_child_scripts() {
		if ( !is_admin() ) {

			// child custom css
			wp_enqueue_script(
				'child-custom-js',
				get_stylesheet_directory_uri() . '/js/child-custom.js',
				array( 'jquery' ),
				'1.0.0',
				true );
		}
	}
	add_action( 'wp_enqueue_scripts', 'inspiry_enqueue_child_scripts', 999 );
}


function inspiry_child_language_slug_setup() {
	/**
	 * Shifting language control to child theme
	 */
	load_child_theme_textdomain( 'inspirythemes-food-recipes', get_stylesheet_directory() . '/languages' );
}
add_action( 'after_setup_theme', 'inspiry_child_language_slug_setup' );


// Write your code after this line.