<?php
get_header();

if ( is_active_sidebar( 'sidebar-1' ) ) {
	$wrap_classes = 'col-md-8';
} else {
	$wrap_classes = 'col-md-12 full-wide';
}

global $wp_query;
?>
<div class="row recipe-listing-row">
	<div id="left-area" class="clearfix <?php echo esc_attr( $wrap_classes ); ?>">
		<?php the_archive_title( '<h1 class="entry-title">', '</h1>' ); ?>
		<span class="w-pet-border"></span>

		<?php
		if ( have_posts() ) :
			while ( have_posts() ) :
				the_post();
				global $post;
				$post_type = get_post_type( $post->ID );
				if ( 'recipe' === $post_type ) {
					get_template_part( 'inc/recipe-post' );
				} else {
					get_template_part( 'inc/standard-post' );
				}

			endwhile;
		else :
			?>

			<div <?php post_class(); ?> id="post-<?php the_ID(); ?>">
				<h2 class="post-title entry-title"><?php esc_html_e( 'No Recipe or Post Data Found', 'inspirythemes-food-recipes' ); ?></h2>
			</div><!-- end of post div -->

		<?php endif; ?>

		<?php
		// Pagination.
		inspiry_theme_pagination( $wp_query );
		?>
	</div><!-- end of left-area -->
	<!-- LEFT AREA ENDS HERE -->

	<?php
	if ( is_active_sidebar( 'sidebar-1' ) ) {
		get_sidebar();
	}
	?>
</div>
<?php get_footer(); ?>
