<?php
get_header();

if ( is_active_sidebar( 'sidebar-11' ) ) {
	$wrap_classes = 'col-md-8';
} else {
	$wrap_classes = 'col-md-12 full-wide';
}
?>
<div class="row recipe-listing-row">
	<?php
	$author_layout = get_option( 'author_page_layout' );
	$layout        = ( 'true' === $author_layout ) ? 'col-sm-12 author-full-width' : 'col-md-8';
	?>
    <div id="left-area" class="<?php echo esc_attr( $layout ); ?> clearfix users-listing author-page <?php echo esc_attr( $wrap_classes ); ?>">
		<?php
		global $wp_query;
		$curauth   = $wp_query->get_queried_object();
		$head_id   = $curauth->ID;
		$user_data = get_userdata( $head_id );

		$get_photo_url    = get_user_meta( $head_id, 'photo', true );
		$user_description = get_user_meta( $head_id, 'description', true );
		$user_designation = get_user_meta( $head_id, 'user_designation', true );
		$user_website     = get_the_author_meta( 'user_url', $head_id );
		$user_twitter     = get_the_author_meta( 'twitter', $head_id );
		$user_facebook    = get_user_meta( $head_id, 'facebook', true );
		$user_linkedin    = get_user_meta( $head_id, 'linkedin', true );
		$user_youtube     = get_user_meta( $head_id, 'youtube', true );
		$user_page_link   = get_author_posts_url( $head_id );
		?>
        <h1>
			<?php esc_html_e( 'Chef', 'inspirythemes-food-recipes' ); ?>
            <span> <?php echo esc_attr( $curauth->display_name ); ?></span>
        </h1>
        <span class="w-pet-border"></span>
        <div class="user-head-wrap clearfix">
            <figure class="author-wrap">
                <a href="#">
					<?php
					if ( $get_photo_url ) {
						$attachment_id = get_attachment_id_from_src( esc_url( $get_photo_url ) );
						$user_thumb    = wp_get_attachment_image_src( $attachment_id, 'user-listing-thumb', false );
						if ( $user_thumb ) {
							?>
                            <img src="<?php echo esc_url( $user_thumb[0] ); ?>" alt="<?php echo esc_attr( $user_data->display_name ); ?>"/>
							<?php
						} else {
							echo '<img src="' . esc_url( get_template_directory_uri() ) . '/images/noimage.png" alt="' . esc_attr( $user_data->display_name ) . '" />';
						}
					} else {
						echo '<img src="' . esc_url( get_template_directory_uri() ) . '/images/noimage.png" alt="' . esc_attr( $user_data->display_name ) . '" />';
					}
					?>
                </a>
            </figure>
            <div class="head-contents-wrap">
                <h3 class="user-listing-heading">
                    <a href="#"><?php echo esc_attr( $user_data->display_name ); ?></a>
					<?php
					if ( $user_designation ) {
						echo '<span class="head-designation">' . esc_attr( $user_designation ) . ' //</span>';
					};
					?>
                </h3>
                <p class="counts">
					<?php
					esc_html_e( 'Posts: ', 'inspirythemes-food-recipes' );
					echo esc_html( count_user_posts( $head_id ) );
					?>
                    <span>//</span>
					<?php
					esc_html_e( 'Recipes: ', 'inspirythemes-food-recipes' );
					echo esc_html( count_user_posts_by_type( $head_id, 'recipe' ) );
					?>
                </p>
	            <div class="head-bottom clearfix">
		            <p class="social">
			            <?php
			            if ( $user_website ) {
				            echo '<a class="url" href="' . esc_url( $user_website ) . '"><i class="fas fa-link"></i></a>';
			            };
			            if ( $user_twitter ) {
				            echo '<a class="twitter" href="' . esc_url( $user_twitter ) . '"><i class = "fa fa-twitter"></i></a>';
			            };
			            if ( $user_facebook ) {
				            echo '<a class="facebook" href="' . esc_url( $user_facebook ) . '"><i class = "fa fa-facebook"></i></a>';
			            };
			            if ( $user_linkedin ) {
				            echo '<a class="linkedin" href="' . esc_url( $user_linkedin ) . '"><i class = "fa fa-linkedin"></i></a>';
			            };
			            if ( $user_youtube ) {
				            echo '<a class="youtube" href="' . esc_url( $user_youtube ) . '"><i class = "fa fa-youtube"></i></a>';
			            };
			            ?>
		            </p>
	            </div>
            </div>
	        <?php
	        if( !empty( $user_description ) ){
		        ?>
	            <p class="user-description"><?php echo esc_html( $user_description ); ?></p>
		        <?php
	        }
	        ?>
        </div>

        <h4><?php esc_html_e( 'All Recipes and Posts by', 'inspirythemes-food-recipes' ); ?>
            <span><?php echo esc_attr( $curauth->display_name ); ?></span></h4>

        <span class="w-pet-border"></span>

		<?php

		// Author recipe Ids.
		$author_recipes = get_posts( 'numberposts=-1&post_type=recipe' );
		if ( ! empty( $author_recipes ) ) {
			foreach ( $author_recipes as $author_recipe ) {
				$author_recipe_array[] = $author_recipe->ID;
			}
		}

		// Author Post Ids.
		$author_posts = get_posts( 'numberposts=-1&post_type=post' );
		if ( ! empty( $author_posts ) ) {
			foreach ( $author_posts as $author_post ) {
				$author_posts_array[] = $author_post->ID;
			}
		}

		// Author all recipe, post and page ids.
		$author_all_posts_array = array_merge( $author_recipe_array, $author_posts_array );

		if ( get_query_var( 'paged' ) ) {
			$paged = get_query_var( 'paged' );
		} elseif ( get_query_var( 'page' ) ) {
			$paged = get_query_var( 'page' );
		} else {
			$paged = 1;
		}
		$author_args = array(
			'author'    => $head_id,
			'post_type' => array( 'recipe', 'post' ),
			'post__in'  => $author_all_posts_array,
			'orderby'   => 'post__in',
			'paged'     => $paged,
		);

		$author_post_pages = new WP_Query( $author_args );
		$user_recipes      = count_user_posts_by_type( $head_id, 'recipe' );
		$recipes_wrapper   = 'yes';

		if ( $author_post_pages->have_posts() ) :

			while ( $author_post_pages->have_posts() ) :
				$author_post_pages->the_post();
				global $post;
				$post_type = get_post_type( $post->ID );

				if ( 'true' === $author_layout ) {

					if ( 'recipe' === $post_type && $user_recipes >= 1 ) {

						echo ( 'yes' === $recipes_wrapper ) ? '<div id="whats-hot"><ul class="cat-list row clearfix">' : '';
						get_template_part( 'inc/author-recipe-post' );
						$recipes_wrapper = 'no';
						echo ( 1 === $user_recipes ) ? ' </ul></div>' : '';
						$user_recipes --;

					} else {

						get_template_part( 'inc/author-standard-post' );
					}
				} else {
					if ( 'recipe' === $post_type && $user_recipes >= 1 ) {

						get_template_part( 'inc/recipe-post' );
						$user_recipes --;

					} else {
						get_template_part( 'inc/standard-post' );
					}
				}

			endwhile;
		else :
			?>

            <div <?php post_class(); ?> id="post-<?php the_ID(); ?>">
                <h4 class="post-title"><?php esc_html_e( 'No Recipe or Post Data Found', 'inspirythemes-food-recipes' ); ?></h4>
            </div><!-- end of post div -->

		<?php endif; ?>

		<?php
		// Pagination.
		inspiry_theme_pagination( $author_post_pages );
		?>

    </div><!-- end of left-area -->
    <!-- LEFT AREA ENDS HERE -->
	<?php if ( is_active_sidebar( 'sidebar-11' ) ) { ?>
		<div id="sidebar" class="col-md-4">
			<?php
			dynamic_sidebar( 'sidebar-11' );
			?>
		</div><!-- end of sidebar -->
	<?php } ?>
</div>
<?php get_footer(); ?>
