<?php
/**
 * The template for displaying comments
 *
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 */

global $post, $recipe_post_ID;


/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
*/

if ( post_password_required() ) { ?>
    <p class="nocomments"><?php esc_html_e( 'This post is password protected. Enter the password to view comments.', 'inspirythemes-food-recipes' ); ?></p>
	<?php
	return;
}
?>

    <!-- You can start editing here. -->

<?php if ( have_comments() ) : ?>
    <h2 id="comments"><?php comments_number( sprintf( esc_html__( 'Comment %s', 'inspirythemes-food-recipes' ), '<span>(0)</span>' ), sprintf( esc_html__( 'Comment %s', 'inspirythemes-food-recipes' ), '<span>(1)</span>' ), sprintf( esc_html__( 'Comments %s', 'inspirythemes-food-recipes' ), '<span>(%)</span>' ) ); ?></h2>
    <span class="w-pet-border"></span>

    <ol class="comment-list">
		<?php wp_list_comments( 'type=comment&callback=inspiry_recipe_comment' ); ?>
    </ol>

<?php else : // this is displayed if there are no comments so far ?>

	<?php if ( comments_open() ) : ?>
        <!-- If comments are open, but there are no comments. -->

	<?php else : // comments are closed ?>
        <!-- If comments are closed. -->
        <!--				<p class="nocomments">--><?php //esc_html_e('Comments are closed.', 'inspirythemes-food-recipes'); ?><!--</p>-->

	<?php endif; ?>
<?php endif; ?>

<?php /* BEGIN TRACKBACK/PINGBACK CODE */ ?>
<?php global $trackbacks; ?>
<?php if ( $trackbacks ) : ?>

	<?php $comments = $trackbacks; ?>

    <div id="pingback-trackback">
        <h3 id="trackbacks">
			<?php
			echo sizeof( $trackbacks );
			esc_html_e( 'Trackbacks/Pingbacks', 'inspirythemes-food-recipes' );
			?>
        </h3>

        <ol class="pings">

			<?php foreach ( $comments as $comment ) : ?>
                <!-- Start Your trackback Code -->
                <li <?php echo esc_html( $oddcomment ); ?>id="comment-<?php comment_ID() ?>">
                    <cite><?php comment_author_link() ?></cite>
					<?php if ( $comment->comment_approved == '0' ) : ?>
                        <em><?php esc_html_e( 'Your comment is awaiting moderation.', 'inspirythemes-food-recipes' ); ?></em>
					<?php endif; ?>
                </li>
                <!-- End Your trackback Code -->
				<?php
				/* Changes every other comment to a different class */
				$oddcomment = ( empty( $oddcomment ) ) ? 'class="alt" ' : '';
				?>

			<?php endforeach; /* end for each comment */ ?>
        </ol>
	    <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>

            <nav class="pagination comments-pagination">
			    <?php paginate_comments_links(); ?>
            </nav>

	    <?php endif; ?>
    </div>

<?php
endif;

if ( comments_open() ) :

	$cform_args = array();

	$cform_args = apply_filters( 'framework_comment_form_args', $cform_args );

	comment_form( $cform_args, $recipe_post_ID );
endif; // if you delete this the sky will fall on your head.
