<?php
/**
 * Customizer settings for Blog
 *
 * @package FR
 */

if ( ! function_exists( 'inspiry_blog_customizer' ) ) :
	function inspiry_blog_customizer( WP_Customize_Manager $wp_customize ) {


		$wp_customize->add_section( 'inspiry_blog_section', array(
			'title'    => esc_html__( 'Blog', 'inspirythemes-food-recipes' ),
			'priority' => 36,
		) );


		$wp_customize->add_setting( 'pp_ctrl_for_blog', array(
			'type'              => 'option',
			'default'           => 'true',
			'sanitize_callback' => 'theme_sanitize_select',
		) );
		$wp_customize->add_control( 'pp_ctrl_for_blog', array(
			'label'       => esc_html__( 'Do you want to open blog post thumbnail in lightbox?', 'inspirythemes-food-recipes' ),
			'description' => esc_html__( 'Select "Enable" to show blog post image on single post page in lightbox on click.', 'inspirythemes-food-recipes' ),
			'type'        => 'select',
			'section'     => 'inspiry_blog_section',
			'choices'     => array(
				'true'  => esc_html__( 'Enable', 'inspirythemes-food-recipes' ),
				'false' => esc_html__( 'Disable', 'inspirythemes-food-recipes' ),
			),
		) );
	}

	add_action( 'customize_register', 'inspiry_blog_customizer' );
endif;

if ( ! function_exists( 'inspiry_blog_defaults' ) ) :
	/**
	 * Set default values for blog settings
	 *
	 * @param WP_Customize_Manager $wp_customize
	 */
	function inspiry_blog_defaults( WP_Customize_Manager $wp_customize ) {
		$homepage_settings_ids = array(
			'pp_ctrl_for_blog',
		);
		inspiry_initialize_defaults( $wp_customize, $homepage_settings_ids );
	}

	add_action( 'customize_save_after', 'inspiry_blog_defaults' );
endif;
