<?php
/**
 * Customizer settings for Contact Page
 *
 * @package FR
 */

if ( ! function_exists( 'inspiry_footer_customizer' ) ) :
	function inspiry_footer_customizer( WP_Customize_Manager $wp_customize ) {


		$wp_customize->add_section( 'inspiry_footer_section', array(
			'title'    => esc_html__( 'Footer', 'inspirythemes-food-recipes' ),
			'priority' => 40,
		) );

		$wp_customize->add_setting( 'copyright_statement', array(
			'type'              => 'option',
			'transport'         => 'postMessage',
			'default'           => 'Copyright © 2018. <a href="http://themeforest.net/item/food-recipes-wordpress-theme/1923882?ref=inspirythemes" target="_blank">Food Recipes</a> - A Premium Wordpress Theme',
			'sanitize_callback' => 'wp_kses_post',
		) );
		$wp_customize->add_control( 'copyright_statement', array(
			'label'       => esc_html__( 'Copyright Statement', 'inspirythemes-food-recipes' ),
			'description' => esc_html__( 'Enter copyright statement for footer', 'inspirythemes-food-recipes' ),
			'type'        => 'textarea',
			'section'     => 'inspiry_footer_section',
		) );
		$wp_customize->selective_refresh->add_partial(
			'copyright_statement', array(
				'selector'        => '#footer-wrap #footer .copyright',
				'render_callback' => function () use ( $wp_customize ) {
					return $wp_customize->get_setting( 'copyright_statement' )->value();
				},
			)
		);

		$wp_customize->add_setting( 'footer_dev_statement', array(
			'type'              => 'option',
			'transport'         => 'postMessage',
			'default'           => 'Developed by <a href="http://inspirythemes.com/" target="_blank">InspityThemes</a>',
			'sanitize_callback' => 'wp_kses_post',
		) );
		$wp_customize->add_control( 'footer_dev_statement', array(
			'label'       => esc_html__( 'Designer and Developer Statement', 'inspirythemes-food-recipes' ),
			'description' => esc_html__( 'Enter Designer and Developter Statement', 'inspirythemes-food-recipes' ),
			'type'        => 'textarea',
			'section'     => 'inspiry_footer_section',
		) );
		$wp_customize->selective_refresh->add_partial(
			'footer_dev_statement', array(
				'selector'        => '#footer-wrap #footer .dnd',
				'render_callback' => function () use ( $wp_customize ) {
					return $wp_customize->get_setting( 'footer_dev_statement' )->value();
				},
			)
		);
	}

	add_action( 'customize_register', 'inspiry_footer_customizer' );
endif;

if ( ! function_exists( 'inspiry_footer_defaults' ) ) :
	/**
	 * Set default values for footer settings
	 *
	 * @param WP_Customize_Manager $wp_customize
	 */
	function inspiry_footer_defaults( WP_Customize_Manager $wp_customize ) {
		$homepage_settings_ids = array(
			'copyright_statement',
			'footer_dev_statement',
		);
		inspiry_initialize_defaults( $wp_customize, $homepage_settings_ids );
	}

	add_action( 'customize_save_after', 'inspiry_footer_defaults' );
endif;
