<?php
/**
 * Customizer settings for Homepage
 *
 * @package FR
 */

if ( ! function_exists( 'inspiry_home_customizer' ) ) :
	function inspiry_home_customizer( WP_Customize_Manager $wp_customize ) {

		/**
		 * Home Panel
		 */
		$wp_customize->add_panel( 'inspiry_home_panel', array(
			'title'    => esc_html__( 'Home', 'inspirythemes-food-recipes' ),
			'priority' => 30,
		) );


		/**
		 * Home Section
		 */
		$wp_customize->add_section( 'inspiry_home_general_section', array(
			'title' => esc_html__( 'General', 'inspirythemes-food-recipes' ),
			'panel' => 'inspiry_home_panel',
		) );
	}

	add_action( 'customize_register', 'inspiry_home_customizer' );
endif;

if ( ! function_exists( 'inspiry_home_defaults' ) ) :
	/**
	 * Set default values for home settings
	 *
	 * @param WP_Customize_Manager $wp_customize
	 */
	function inspiry_home_defaults( WP_Customize_Manager $wp_customize ) {
		$homepage_settings_ids = array(
			'home_recent_recipe',
		);
		inspiry_initialize_defaults( $wp_customize, $homepage_settings_ids );
	}

	add_action( 'customize_save_after', 'inspiry_home_defaults' );
endif;

/**
 * Home Page Slider Settings
 */
require_once INSPIRY_FRAMEWORK . 'sections/home/slider.php';
/**
 * Home Page Whats Hot Settings
 */
require_once INSPIRY_FRAMEWORK . 'sections/home/whats-hot.php';