<?php
/**
 * Customizer settings for Homepage Slider
 *
 * @package FR
 */

if ( ! function_exists( 'inspiry_home_slider_customizer' ) ) :
	function inspiry_home_slider_customizer( WP_Customize_Manager $wp_customize ) {

		/**
		 * Home Slider Section
		 */
		$wp_customize->add_section( 'inspiry_home_slider_section', array(
			'title' => esc_html__( 'Slider', 'inspirythemes-food-recipes' ),
			'panel' => 'inspiry_home_panel',
		) );

		// Slider Settings.
		$wp_customize->add_setting( 'slider_type', array(
			'type'              => 'option',
			'default'           => 'Left Image Slider',
			'sanitize_callback' => 'theme_sanitize_select',
		) );
		$wp_customize->add_control( 'slider_type', array(
			'label'       => esc_html__( 'Select Home Page Slider', 'inspirythemes-food-recipes' ),
			'description' => esc_html__( 'Select the Slider Type from given list.', 'inspirythemes-food-recipes' ),
			'type'        => 'select',
			'section'     => 'inspiry_home_slider_section',
			'choices'     => array(
				'Left Image Slider' => esc_html__( 'Left Image Slider', 'inspirythemes-food-recipes' ),
				'Basic Slider'      => esc_html__( 'Basic Slider', 'inspirythemes-food-recipes' ),
				'Nivo Slider'       => esc_html__( 'Nivo Slider', 'inspirythemes-food-recipes' ),
				'Thumbnail Slider'  => esc_html__( 'Thumbnail Slider', 'inspirythemes-food-recipes' )
			),
		) );


	}

	add_action( 'customize_register', 'inspiry_home_slider_customizer' );
endif;

if ( ! function_exists( 'inspiry_home_slider_defaults' ) ) :
	/**
	 * Set default values for home_slider settings
	 *
	 * @param WP_Customize_Manager $wp_customize
	 */
	function inspiry_home_slider_defaults( WP_Customize_Manager $wp_customize ) {
		$homepage_settings_ids = array(
			'slider_type',
		);
		inspiry_initialize_defaults( $wp_customize, $homepage_settings_ids );
	}

	add_action( 'customize_save_after', 'inspiry_home_slider_defaults' );
endif;

/**
 * Home Page Slider Settings
 */
require_once INSPIRY_FRAMEWORK . 'sections/home/sliders/left-img-slider.php';
require_once INSPIRY_FRAMEWORK . 'sections/home/sliders/basic-slider.php';
require_once INSPIRY_FRAMEWORK . 'sections/home/sliders/nivo-slider.php';
require_once INSPIRY_FRAMEWORK . 'sections/home/sliders/thumbnail-slider.php';