<?php
/**
 * Customizer settings for Homepage Nivo Slider
 *
 * @package FR
 */

if ( ! function_exists( 'inspiry_home_nivo_slider_customizer' ) ) :

	function inspiry_home_nivo_slider_customizer( WP_Customize_Manager $wp_customize ) {

		if( class_exists( 'Customizer_Repeater' ) ) {
			$wp_customize->add_setting( 'nivo_image_slider', array(
				'sanitize_callback' => 'customizer_repeater_sanitize',
				'transport'         => 'postMessage',
				'type'              => 'option',
			) );
			$wp_customize->add_control( new Customizer_Repeater( $wp_customize, 'nivo_image_slider', array(
				'label'                                 => esc_html__( 'Nivo Image Slider', 'inspirythemes-food-recipes' ),
				'description'                           => esc_html__( 'Select Images for Nivo Slider and give Recipe Post IDs. Required dimension is: width 905px and height 370px', 'inspirythemes-food-recipes' ),
				'section'                               => 'inspiry_home_slider_section',
				'customizer_repeater_image_control'     => true,
				'customizer_repeater_icon_control'      => false,
				'customizer_repeater_title_control'     => true,
				'customizer_repeater_subtitle_control'  => false,
				'customizer_repeater_text_control'      => false,
				'customizer_repeater_link_control'      => false,
				'customizer_repeater_shortcode_control' => false,
				'customizer_repeater_repeater_control'  => false,
				'active_callback'                       => function () use ( $wp_customize ) {
					return 'Nivo Slider' === $wp_customize->get_setting( 'slider_type' )->value();
				},
			) ) );
		}
	}

	add_action( 'customize_register', 'inspiry_home_nivo_slider_customizer' );
endif;

if ( ! function_exists( 'inspiry_home_nivo_slider_defaults' ) ) :
	/**
	 * Set default values for home_lis settings
	 *
	 * @param WP_Customize_Manager $wp_customize
	 */
	function inspiry_home_nivo_slider_defaults( WP_Customize_Manager $wp_customize ) {
		$homepage_settings_ids = array(
			'nivo_image_slider',
		);
		inspiry_initialize_defaults( $wp_customize, $homepage_settings_ids );
	}

	add_action( 'customize_save_after', 'inspiry_home_nivo_slider_defaults' );
endif;
