<?php
/**
 * Customizer settings for Blog
 *
 * @package FR
 */

if ( ! function_exists( 'inspiry_user_profile_customizer' ) ) :
	function inspiry_user_profile_customizer( WP_Customize_Manager $wp_customize ) {


		$wp_customize->add_section( 'inspiry_user_profile_section', array(
			'title'    => esc_html__( 'User Profile', 'inspirythemes-food-recipes' ),
			'priority' => 38,
		) );

		$wp_customize->add_setting( 'users_profile_layout', array(
			'type'              => 'option',
			'default'           => 'false',
			'sanitize_callback' => 'theme_sanitize_select',
		) );
		$wp_customize->add_control( 'users_profile_layout', array(
			'label'   => esc_html__( 'Do you want to Show full width layout.', 'inspirythemes-food-recipes' ),
			'type'    => 'select',
			'section' => 'inspiry_user_profile_section',
			'choices' => array(
				'true'  => esc_html__( 'Yes', 'inspirythemes-food-recipes' ),
				'false' => esc_html__( 'No', 'inspirythemes-food-recipes' ),
			),
		) );
	}

	add_action( 'customize_register', 'inspiry_user_profile_customizer' );
endif;

if ( ! function_exists( 'inspiry_user_profile_defaults' ) ) :
	/**
	 * Set default values for user_profile settings
	 *
	 * @param WP_Customize_Manager $wp_customize
	 */
	function inspiry_user_profile_defaults( WP_Customize_Manager $wp_customize ) {
		$homepage_settings_ids = array(
			'users_profile_layout',
		);
		inspiry_initialize_defaults( $wp_customize, $homepage_settings_ids );
	}

	add_action( 'customize_save_after', 'inspiry_user_profile_defaults' );
endif;
