<?php
/*
* Template Name: Full Width Page
*/
get_header();
?>
<div id="left-area" class="col-md-12 clearfix full-wide">
	<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

		<div <?php post_class(); ?> id="page-<?php the_ID(); ?>">
			<h2 class="post-title w-bot-border"><?php the_title(); ?></h2><br/>
			<p class="meta">
				<span class="comments">
					<?php comments_popup_link( esc_html__( '0 Comments', 'inspirythemes-food-recipes' ), esc_html__( '1 Comment', 'inspirythemes-food-recipes' ), esc_html__( '% Comments', 'inspirythemes-food-recipes' ) ); ?></span>
				<span>|</span> <?php esc_html_e( 'Last Update: ', 'inspirythemes-food-recipes' ); ?>
				<span> <?php the_time( get_option( 'date_format' ) ); ?></span></p>
			<?php

			if ( has_post_thumbnail() ) {
				$image_id  = get_post_thumbnail_id();
				$image_url = wp_get_attachment_image_src( $image_id, 'full-size', true );
				?>
				<div class="post-thumb single-img-box">
					<a rel="prettyPhoto" title="<?php the_title_attribute(); ?>" href="<?php echo esc_url( $image_url[0] ); ?>">
						<?php the_post_thumbnail( 'thumbnail-blog' ); ?>
					</a>
				</div>
				<?php
			}

			the_content();
			?>
		</div><!-- end of post div -->

	<?php endwhile; ?>

	<?php endif; ?>

	<div class="comments">
		<?php comments_template( '', true ); ?>
	</div><!-- end of comments div -->

</div><!-- end of left-area -->
<!-- LEFT AREA ENDS HERE -->

<?php get_footer(); ?>
