<?php
/**
 * Added body classes by a hook instead of hard coding in the function directly
 *
 * @return $classes array
 */
if( ! function_exists( 'inspiry_body_classes' ) ){
	function inspiry_body_classes( $classes ){

		$classes[] = 'bootstrap-class';

		if( function_exists( 'inspiry_ie_detect' ) ){
			if( inspiry_ie_detect() == 'ie9' ){
				$classes[] = 'ie9';
			} elseif( inspiry_ie_detect() == 'ie10' ){
				$classes[] = 'ie9';
			}
		}

		return $classes;
	}

	add_filter( 'body_class','inspiry_body_classes' );
}


if ( ! function_exists( 'inspiry_theme_pagination' ) ) {
	function inspiry_theme_pagination( $query ) {

		echo '<div id="pagination">';
		$big = 999999999; // Need an unlikely integer.
		echo wp_kses_post(
			paginate_links(
				array(
					'base'    => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
					'format'  => '?paged=%#%',
					'current' => max( 1, get_query_var( 'paged' ) ),
					'total'   => $query->max_num_pages,
				)
			)
		);
		echo '</div>';
	}
}

if ( ! function_exists( 'inspiry_recipe_comment' ) ) {
	function inspiry_recipe_comment( $comment, $args, $depth ) {

		$GLOBALS['comment'] = $comment;
		?>
		<li <?php comment_class(); ?>  id="comment-<?php comment_ID() ?>">

		<div class="img-box">
			<a href="<?php echo esc_url( get_comment_author_url() ); ?>">
				<?php echo get_avatar( $comment->comment_author_email, 67 ); ?>
			</a>
		</div>
		<div class="comment-body">
			<p class="meta"><?php esc_html_e( 'posted by ', 'inspirythemes-food-recipes' ); ?> <?php comment_author_link(); ?> <?php esc_html_e( ' on', 'inspirythemes-food-recipes' ); ?>
				<span> <?php echo get_comment_date(); ?> </span></p>
			<div class="comment"><?php comment_text(); ?></div>
			<?php if ( $comment->comment_approved == '0' ) : ?>
				<em><?php esc_html_e( 'Your comment is awaiting moderation.', 'inspirythemes-food-recipes' ) ?></em>
				<br/>
			<?php endif; ?>
			<div class="reply">
				<?php edit_comment_link( esc_html__( '(Edit)', 'inspirythemes-food-recipes' ), '  ', '' ) ?>
				&nbsp; <?php comment_reply_link( array_merge( $args, array( 'depth'     => $depth,
																			'max_depth' => $args['max_depth']
				) ) ) ?>
			</div>
		</div>

		<?php
	}
}