<?php

/**
 * Function to Register Sidebars
 */
if ( ! function_exists( 'inspiry_register_sidebar' ) ) {

	function inspiry_register_sidebar() {
		/**
		 * Common Sidebar Registration
		 */
		register_sidebar( array(
			'name'          => esc_html__( 'Sidebar', 'inspirythemes-food-recipes' ),
			'id'            => 'sidebar-1',
			'before_widget' => '<div id="%1$s" class="widget nostylewt %2$s clearfix">',
			'after_widget'  => '</div>',
			'before_title'  => '<h2 class="w-bot-border">',
			'after_title'   => '</h2>',
		) );

		/**
		 * Recipes Listing Sidebar
		 */
		register_sidebar( array(
			'name'          => esc_html__( 'Recipe Sidebar', 'inspirythemes-food-recipes' ),
			'id'            => 'sidebar-2',
			'before_widget' => '<div id="%1$s" class="widget nostylewt %2$s clearfix">',
			'after_widget'  => '</div>',
			'before_title'  => '<h2 class="w-bot-border">',
			'after_title'   => '</h2>',
		) );

		/**
		 * Recipes Single Sidebar
		 */
		register_sidebar( array(
			'name'          => esc_html__( 'Recipe Single Sidebar', 'inspirythemes-food-recipes' ),
			'id'            => 'sidebar-3',
			'before_widget' => '<div id="%1$s" class="widget nostylewt %2$s clearfix">',
			'after_widget'  => '</div>',
			'before_title'  => '<h2 class="w-bot-border">',
			'after_title'   => '</h2>',
		) );

		/**
		 * Recipes Submit Sidebar
		 */
		register_sidebar( array(
			'name'          => esc_html__( 'Recipe Submit Sidebar', 'inspirythemes-food-recipes' ),
			'id'            => 'recipe-submit',
			'before_widget' => '<div id="%1$s" class="widget nostylewt %2$s clearfix">',
			'after_widget'  => '</div>',
			'before_title'  => '<h2 class="w-bot-border">',
			'after_title'   => '</h2>',
		) );

		/**
		 * Recipes Search Sidebar
		 */
		register_sidebar( array(
			'name'          => esc_html__( 'Recipe Search Sidebar', 'inspirythemes-food-recipes' ),
			'id'            => 'recipe-search',
			'before_widget' => '<div id="%1$s" class="widget nostylewt %2$s clearfix">',
			'after_widget'  => '</div>',
			'before_title'  => '<h2 class="w-bot-border">',
			'after_title'   => '</h2>',
		) );

		/**
		 * Homepage Bottom Area
		 */
		register_sidebar( array(
			'name'          => esc_html__( 'Homepage Bottom Bar', 'inspirythemes-food-recipes' ),
			'id'            => 'sidebar-4',
			'before_widget' => '<div id="%1$s" class="widget col-lg-4 col-md-6 nostylewt %2$s clearfix">',
			'after_widget'  => '</div>',
			'before_title'  => '<h2 class="w-bot-border ">',
			'after_title'   => '</h2>',
		) );

		/**
		 * Widgetized area for Ads on the bottom of content
		 */
		register_sidebar( array(
			'name'          => esc_html__( 'Bottom Advertisement Area', 'inspirythemes-food-recipes' ),
			'id'            => 'sidebar-5',
			'before_widget' => '',
			'after_widget'  => '',
			'before_title'  => '',
			'after_title'   => '',
		) );

		/**
		 * Widgetized area for Ads on the right side of single recipe page
		 */
		register_sidebar( array(
			'name'          => esc_html__( 'Recipe Right Advertisement Area', 'inspirythemes-food-recipes' ),
			'id'            => 'sidebar-6',
			'before_widget' => '',
			'after_widget'  => '',
			'before_title'  => '',
			'after_title'   => '',
		) );

		/**
		 * Sidebar for Contact Page
		 */
		register_sidebar( array(
			'name'          => esc_html__( 'Contact Sidebar', 'inspirythemes-food-recipes' ),
			'id'            => 'sidebar-7',
			'before_widget' => '<div id="%1$s" class="widget nostylewt %2$s clearfix">',
			'after_widget'  => '<div class="widget-bot-round"></div></div>',
			'before_title'  => '<h4 class="blue">',
			'after_title'   => '</h4>',
		) );

		/**
		 * Footer Column 1 Registration
		 */
		register_sidebar( array(
			'name'          => esc_html__( 'Footer Column 1', 'inspirythemes-food-recipes' ),
			'id'            => 'sidebar-8',
			'before_widget' => '<li id="%1$s" class="widget %2$s col-md-4 col-sm-6">',
			'after_widget'  => '</li>',
			'before_title'  => '<h2>',
			'after_title'   => '</h2>',
		) );

		/**
		 * Footer Column 2 Registration
		 */
		register_sidebar( array(
			'name'          => esc_html__( 'Footer Column 2', 'inspirythemes-food-recipes' ),
			'id'            => 'sidebar-9',
			'before_widget' => '<li id="%1$s" class="widget %2$s col-md-4 col-sm-6">',
			'after_widget'  => '</li>',
			'before_title'  => '<h2>',
			'after_title'   => '</h2>',
		) );

		/**
		 * Footer Column 3 Registration
		 */
		register_sidebar( array(
			'name'          => esc_html__( 'Footer Column 3', 'inspirythemes-food-recipes' ),
			'id'            => 'sidebar-10',
			'before_widget' => '<li id="%1$s" class="widget %2$s col-md-4 col-sm-6">',
			'after_widget'  => '</li>',
			'before_title'  => '<h2>',
			'after_title'   => '</h2>',
		) );

		/***
		 * Users Listing page sidebar Registration
		 */
		register_sidebar( array(
			'name'          => esc_html__( 'Chef Listing Sidebar', 'inspirythemes-food-recipes' ),
			'id'            => 'sidebar-11',
			'before_widget' => '<div id="%1$s" class="widget %2$s nostylewt %2$s clearfix">',
			'after_widget'  => '</div>',
			'before_title'  => '<h2 class="w-bot-border">',
			'after_title'   => '</h2>',
		) );

		/**
		 * Users Listing page sidebar Registration
		 */
		register_sidebar( array(
			'name'          => esc_html__( 'Users Profile Sidebar', 'inspirythemes-food-recipes' ),
			'id'            => 'sidebar-12',
			'before_widget' => '<div id="%1$s" class="widget %2$s nostylewt %2$s clearfix">',
			'after_widget'  => '</div>',
			'before_title'  => '<h2 class="w-bot-border">',
			'after_title'   => '</h2>',
		) );
	}

	add_action( 'widgets_init', 'inspiry_register_sidebar' );
}
