<?php
get_header();
global $taxonomy_pre_heading;
global $taxonomy_name, $wp_query;

if ( is_active_sidebar( 'sidebar-1' ) ) {
	$wrap_classes = 'col-md-8';
} else {
	$wrap_classes = 'col-md-12 full-wide';
}
?>
	<div class="row recipe-listing-row">
		<div id="left-area" class="clearfix <?php echo esc_attr( $wrap_classes ); ?>">

			<h1 class="entry-title taxonomy-title">
				<?php
				$current_term = get_term_by( 'slug', get_query_var( 'term' ), $taxonomy_name );
				echo esc_html( $taxonomy_pre_heading ) . ' <span>' . esc_html( $current_term->name ) . '</span>';
				?>
			</h1>
			<?php
			$recipe_sorting = get_option( 'recipe_show_sorting' );
			if ( 'on' === $recipe_sorting ) {
				get_template_part( 'inc/recipe-sorting' );
			}
			if ( ! empty( $current_term->description ) ) {
				?>
				<p class="tax-desc">
					<?php echo wp_kses_post( $current_term->description ); ?>
				</p>
				<?php
			}
			?>
			<span class="w-pet-border"></span>
			<?php
			if ( have_posts() ) :
				while ( have_posts() ) :
					the_post();
					get_template_part( 'inc/recipe-post' );

				endwhile;
			else :
				?>

				<div <?php post_class(); ?> id="post-<?php the_ID(); ?>">
					<h2 class="post-title entry-title"><?php esc_html_e( 'No Recipe Found !', 'inspirythemes-food-recipes' ); ?></h2>
				</div><!-- end of post div -->

			<?php endif; ?>

			<?php
			// Pagination.
			inspiry_theme_pagination( $wp_query );
			?>
		</div><!-- end of left-area -->
		<!-- LEFT AREA ENDS HERE -->
		<?php
		if ( is_active_sidebar( 'sidebar-1' ) ) {
			get_sidebar();
		}
		?>
	</div>
<?php get_footer(); ?>
