<?php

if ( ! function_exists( 'inspiry_demo_import_files' ) ) {
	/**
	 * Predefine demo imports
	 */
	function inspiry_demo_import_files() {

		return array(
			array(
				'import_file_name'             => 'Demo Import 1',
				'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demo/content.xml',
				'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demo/widgets.wie',
				'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'inc/demo/customizer.dat',
			),
		);
	}

	add_filter( 'pt-ocdi/import_files', 'inspiry_demo_import_files' );
}

if ( ! function_exists( 'inspiry_settings_after_content_import' ) ) {
	/**
	 * Automatically assign "Front page", "Posts page" and menu locations after the importer is done
	 */
	function inspiry_settings_after_content_import() {

		// Assign menus to their locations.
		$main_menu   = get_term_by( 'name', 'Main Navigation', 'nav_menu' );
		$social_menu = get_term_by( 'name', 'Social Menu', 'nav_menu' );

		set_theme_mod( 'nav_menu_locations',
			array(
				'main-menu'   => $main_menu->term_id,
				'social-menu' => $social_menu->term_id,
			)
		);

		// Assign front page and posts page (blog page).
		$front_page_id = get_page_by_title( 'Home' );
		$blog_page_id  = get_page_by_title( 'Blog' );

		update_option( 'show_on_front', 'page' );
		update_option( 'page_on_front', $front_page_id->ID );
		update_option( 'page_for_posts', $blog_page_id->ID );

		global $wp_rewrite;
		$wp_rewrite->set_permalink_structure( '/%postname%/' );
		$wp_rewrite->flush_rules();

	}


	add_action( 'pt-ocdi/after_import', 'inspiry_settings_after_content_import' );
}

// Disable the branding notice with a WP filter.
add_filter( 'pt-ocdi/disable_pt_branding', '__return_true' );

