<?php
global $post;

$skipper = $post->ID;

$recipe_type_slugs = array();
$recipe_type_terms = get_the_terms( $post->ID, 'recipe_type' );
if ( $recipe_type_terms && ! is_wp_error( $recipe_type_terms ) ) {
	foreach ( $recipe_type_terms as $term ) {
		$recipe_type_slugs[] = $term->slug;
	}
}

$cuisine_slugs = array();
$cuisine_terms = get_the_terms( $post->ID, 'cuisine' );
if ( $cuisine_terms && ! is_wp_error( $cuisine_terms ) ) {
	foreach ( $cuisine_terms as $term ) {
		$cuisine_slugs[] = $term->slug;
	}
}

$more_recipe_args = array(
	'post_type'      => 'recipe',
	'posts_per_page' => 5,
	'post__not_in'   => array( $skipper ),
	'tax_query'      => array(
		'relation' => 'OR',
		array(
			'taxonomy' => 'recipe_type',
			'field'    => 'slug',
			'terms'    => $recipe_type_slugs,
		),
		array(
			'taxonomy' => 'cuisine',
			'field'    => 'slug',
			'terms'    => $cuisine_slugs,
		),
	),
	'meta_query'     => array(
		array(
			'key'     => '_thumbnail_id',
			'value'   => '0',
			'compare' => '>',
			'type'    => 'NUMERIC',
		),
	),
);

$more_recipe_query = new WP_Query( $more_recipe_args );

if ( $more_recipe_query->have_posts() ) {
	?>
	<div class="more-recipe clearfix">
		<h5><?php esc_html_e( 'Related Recipes:', 'inspirythemes-food-recipes' ); ?></h5>
		<div class="recipe-imgs">
			<div class="more-recipes clearfix">
				<ul class="cycle-slideshow" data-cycle-fx=scrollHorz data-cycle-timeout=0 data-cycle-slides="li" data-cycle-prev=".p-<?php echo esc_html( $skipper ); ?>" data-cycle-next=".n-<?php echo esc_html( $skipper ); ?>">
					<?php
					while ( $more_recipe_query->have_posts() ) :
						$more_recipe_query->the_post();
						?>
						<li>
							<a href="<?php the_permalink(); ?>">
								<?php the_post_thumbnail( 'recipe-4column-thumb' ); ?>
							</a>
							<p class="info-box"><?php the_title(); ?></p>
						</li>
					<?php
					endwhile;
					?>
				</ul>
			</div>
			<span class="prev p-<?php echo esc_html( $skipper ); ?>">
				<svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
				     viewBox="0 0 477.175 477.175" style="enable-background:new 0 0 477.175 477.175;" xml:space="preserve">
				    <g>
					    <path d="M360.731,229.075l-225.1-225.1c-5.3-5.3-13.8-5.3-19.1,0s-5.3,13.8,0,19.1l215.5,215.5l-215.5,215.5
				            c-5.3,5.3-5.3,13.8,0,19.1c2.6,2.6,6.1,4,9.5,4c3.4,0,6.9-1.3,9.5-4l225.1-225.1C365.931,242.875,365.931,234.275,360.731,229.075z
				            "/>
				    </g>
									<g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g>
				</svg>
			</span>
			<span class="next n-<?php echo esc_html( $skipper ); ?>">
				<svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
				     viewBox="0 0 477.175 477.175" style="enable-background:new 0 0 477.175 477.175;" xml:space="preserve">
				    <g>
					    <path d="M360.731,229.075l-225.1-225.1c-5.3-5.3-13.8-5.3-19.1,0s-5.3,13.8,0,19.1l215.5,215.5l-215.5,215.5
				            c-5.3,5.3-5.3,13.8,0,19.1c2.6,2.6,6.1,4,9.5,4c3.4,0,6.9-1.3,9.5-4l225.1-225.1C365.931,242.875,365.931,234.275,360.731,229.075z
				            "/>
				    </g>
									<g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g>
				</svg>
			</span>
		</div><!-- end of recipe-imgs div -->
	</div><!-- end of more-recipe div -->
	<?php
}
wp_reset_postdata();
