<?php
global $post;

$meta_prefix = 'RECIPE_META_';
$nutrients = array();

if( ! empty( get_post_meta( $post->ID, $meta_prefix . 'nut_calories', true ) ) ){
	$nutrients['calories']['name'] = esc_html__( 'Calories', 'inspirythemes-food-recipes' );
	$nutrients['calories']['value'] = get_post_meta( $post->ID, $meta_prefix . 'nut_calories', true );
}
if( ! empty( get_post_meta( $post->ID, $meta_prefix . 'nut_carbohydrates', true ) ) ){
	$nutrients['carbohydrateContent']['name'] = esc_html__( 'Carbohydrates', 'inspirythemes-food-recipes' );
	$nutrients['carbohydrateContent']['value'] = get_post_meta( $post->ID, $meta_prefix . 'nut_carbohydrates', true );
}
if( ! empty( get_post_meta( $post->ID, $meta_prefix . 'nut_cholesterol', true ) ) ){
	$nutrients['cholesterolContent']['name'] = esc_html__( 'Cholesterol', 'inspirythemes-food-recipes' );
	$nutrients['cholesterolContent']['value'] = get_post_meta( $post->ID, $meta_prefix . 'nut_cholesterol', true );
}
if( ! empty( get_post_meta( $post->ID, $meta_prefix . 'nut_fat', true ) ) ){
	$nutrients['fatContent']['name'] = esc_html__( 'Fat', 'inspirythemes-food-recipes' );
	$nutrients['fatContent']['value'] = get_post_meta( $post->ID, $meta_prefix . 'nut_fat', true );
}
if( ! empty( get_post_meta( $post->ID, $meta_prefix . 'nut_fiber', true ) ) ){
	$nutrients['fiberContent']['name'] = esc_html__( 'Fiber', 'inspirythemes-food-recipes' );
	$nutrients['fiberContent']['value'] = get_post_meta( $post->ID, $meta_prefix . 'nut_fiber', true );
}
if( ! empty( get_post_meta( $post->ID, $meta_prefix . 'nut_protein', true ) ) ){
	$nutrients['proteinContent']['name'] = esc_html__( 'Protein', 'inspirythemes-food-recipes' );
	$nutrients['proteinContent']['value'] = get_post_meta( $post->ID, $meta_prefix . 'nut_protein', true );
}
if( ! empty( get_post_meta( $post->ID, $meta_prefix . 'nut_saturated_fat', true ) ) ){
	$nutrients['saturatedFatContent']['name'] = esc_html__( 'Saturated Fat', 'inspirythemes-food-recipes' );
	$nutrients['saturatedFatContent']['value'] = get_post_meta( $post->ID, $meta_prefix . 'nut_saturated_fat', true );
}
if( ! empty( get_post_meta( $post->ID, $meta_prefix . 'nut_serving_size', true ) ) ){
	$nutrients['servingSize']['name'] = esc_html__( 'Serving Size', 'inspirythemes-food-recipes' );
	$nutrients['servingSize']['value'] = get_post_meta( $post->ID, $meta_prefix . 'nut_serving_size', true );
}
if( ! empty( get_post_meta( $post->ID, $meta_prefix . 'nut_sodium', true ) ) ){
	$nutrients['sodiumContent']['name'] = esc_html__( 'Sodium', 'inspirythemes-food-recipes' );
	$nutrients['sodiumContent']['value'] = get_post_meta( $post->ID, $meta_prefix . 'nut_sodium', true );
}
if( ! empty( get_post_meta( $post->ID, $meta_prefix . 'nut_sugar', true ) ) ){
	$nutrients['sugarContent']['name'] = esc_html__( 'Sugar', 'inspirythemes-food-recipes' );
	$nutrients['sugarContent']['value'] = get_post_meta( $post->ID, $meta_prefix . 'nut_sugar', true );
}
if( ! empty( get_post_meta( $post->ID, $meta_prefix . 'nut_trans_fat', true ) ) ){
	$nutrients['transFatContent']['name'] = esc_html__( 'Trans Fat', 'inspirythemes-food-recipes' );
	$nutrients['transFatContent']['value'] = get_post_meta( $post->ID, $meta_prefix . 'nut_trans_fat', true );
}
if( ! empty( get_post_meta( $post->ID, $meta_prefix . 'nut_unsaturated_fat', true ) ) ){
	$nutrients['unsaturatedFatContent']['name'] = esc_html__( 'Unsaturated Fat', 'inspirythemes-food-recipes' );
	$nutrients['unsaturatedFatContent']['value'] = get_post_meta( $post->ID, $meta_prefix . 'nut_unsaturated_fat', true );
}

if ( function_exists( 'rwmb_meta' ) ) {
	$nut_names      = rwmb_meta( 'RECIPE_META_nut_name' );
	$nut_vals       = rwmb_meta( 'RECIPE_META_nut_mass' );
	$nut_name_count = count( array_values( $nut_names ) );
	$nut_vals_count = count( array_values( $nut_vals ) );

	$nut_number = 0;

	if ( is_array( $nut_names ) ) {
		$nut_number = count( $nut_names );
	}

	if ( $nut_name_count !== $nut_vals_count ) {
		if ( $nut_name_count > $nut_vals_count ) {
			$nut_names = array_slice( array_values( $nut_names ), 0, $nut_vals_count );
		} else {
			$nut_vals = array_slice( array_values( $nut_vals ), 0, $nut_name_count );
		}
	}

	if (
		( $nut_number >= 1 && ( ! empty( $nut_names[0] ) ) )
		|| ( is_array( $nutrients ) && count( $nutrients ) > 0 )
	) {

		$i = 0;
		?>
		<div class="nutritional">
			<h3><?php esc_html_e( 'Nutritional Info', 'inspirythemes-food-recipes' ); ?></h3>

			<p><?php esc_html_e( 'This information is per serving.', 'inspirythemes-food-recipes' ); ?></p>
			<ul>
				<?php
				if( is_array( $nutrients ) && count( $nutrients ) > 0 ){
					foreach( $nutrients as $nutrient ){
						?>
						<li class="nutrition">
							<p class="type"><?php echo esc_attr( $nutrient['name'] ); ?></p>
							<span class="value"><?php echo esc_attr( $nutrient['value'] ); ?></span>
						</li>
						<?php
						$i ++;
					}
				}

				if ( count( $nut_names ) === count( $nut_vals ) ) {
					foreach ( array_combine( array_values( $nut_names ), array_values( $nut_vals ) ) as $nutname => $nutvalue ) {
						?>
						<li class="nutrition">
							<p class="type"><?php echo esc_attr( $nutname ); ?></p>
							<span class="value"><?php echo esc_attr( $nutvalue ); ?></span>
						</li>
						<?php
					}
				} else {
					echo '<p class="notice">' . esc_html__( 'The values in additional nutritional information are not equal.', 'inspirythemes-food-recipes' ) . '</p>';
				}
				?>
			</ul>
		</div>
		<?php
	}
}
