<?php
global $post, $image_url;
?>
<div <?php post_class(); ?> id="post-<?php the_ID(); ?>">

	<?php
	if ( has_post_thumbnail( $post->ID ) ) {
		$lightbox_check = get_option( 'pp_ctrl_for_recipe', false );
		$image_id       = get_post_thumbnail_id();
		if ( $image_id ) {
			$image_url = wp_get_attachment_image_src( $image_id, 'full-size', true );
		}
		?>
		<div class="post-thumb single-img-box">
			<a <?php echo ( 'true' === $lightbox_check ) ? 'data-rel="prettyPhoto" href="' . esc_url( $image_url[0] ) . '"' : 'href="' . esc_url( get_permalink() ) . '"'; ?> title="<?php the_title_attribute(); ?>">
				<?php the_post_thumbnail( 'recipe-listing' ); ?>
			</a>
		</div>
		<?php
	}
	?>
	<div class="recipe-info">
		<h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
		<?php if ( taxonomy_exists( 'recipe_type' ) ) : ?>
		<div class="recipe-tags">
			<span class="type"><?php echo get_the_term_list( $post->ID, 'recipe_type', esc_html__( ' Recipe Type: ', 'inspirythemes-food-recipes' ), ', ', '' ); ?></span>
			<span class="cuisine"><?php echo get_the_term_list( $post->ID, 'cuisine', esc_html__( ' Cuisine: ', 'inspirythemes-food-recipes' ), ', ', '' ); ?></span>
		</div>
        <?php endif; ?>
		<?php
		$rating_check = ! empty( get_option( 'recipe_show_rating' ) ) ? get_option( 'recipe_show_rating' ) : false;
		if ( 'show_rating' === $rating_check && class_exists( 'Food_Recipes_Pack_Pack_Rating' ) ) {
			$rating = new Food_Recipes_Pack_Pack_Rating();
			?>
			<div class="rating">
				<strong> <?php $rating->the_recipe_rating( $post->ID ); ?></strong>
				<span><?php esc_html_e( 'Average Rating:', 'inspirythemes-food-recipes' ); ?>
					<span>(<?php echo esc_html( Food_Recipes_Pack_Pack_Rating::get_avg_rating( $post->ID ) ); ?> / <small> 5</small>)</span>
				</span>
			</div>
			<?php
		} else {
			echo '<hr>';
		}
		?>
		<p>
			<?php
			$theme_framework = get_option( 'recipe_theme_framework' );
			if( $theme_framework == 'show' ){
				$excerpt = 50;
			} else {
				$excerpt = 15;
			}
			echo wp_kses_post( wp_trim_words( get_the_excerpt(), $excerpt, ' ...' ) );
			?>
		</p>
		<a href="<?php the_permalink(); ?>" class="readmore"><?php esc_html_e( 'Read more', 'inspirythemes-food-recipes' ); ?></a>
	</div>
</div><!-- end of post div -->
