<?php
if ( is_active_sidebar( 'sidebar-3' ) ) {
	$wrap_classes = 'col-md-8';
} else {
	$wrap_classes = 'col-md-12 full-wide';
}
?>
<div class="row recipe-listing-row">
	<div id="left-area" class="clearfix <?php echo esc_attr( $wrap_classes ); ?>">

		<!-- Starting Default Loop -->
		<?php
		if ( have_posts() ) {
			while ( have_posts() ) :
				the_post();
				global $post;
				?>
				<h1 class="title fn"><?php the_title(); ?></h1>
				<!-- for Schema.org microdata -->
				<span class="published"><?php the_time( 'Y-m-d' ); ?></span>

				<!-- Recipe Categorization Information -->
				<ul class="recipe-cat-info clearfix">
					<li>
						<?php echo ( get_the_term_list( $post->ID, 'cuisine', esc_html__( 'Cuisine: ', 'inspirythemes-food-recipes' ), ', ', '' ) ) ? get_the_term_list( $post->ID, 'cuisine', esc_html__( 'Cuisine: ', 'inspirythemes-food-recipes' ), ', ', '' ) : ''; ?>
					</li>
					<li>
						<?php echo get_the_term_list( $post->ID, 'course', esc_html__( ' Course: ', 'inspirythemes-food-recipes' ), ', ', '' ); ?>
					</li>
					<li>
						<?php echo get_the_term_list( $post->ID, 'skill_level', esc_html__( 'Skill Level: ', 'inspirythemes-food-recipes' ), ', ', '' ); ?>
					</li>
					<li>
						<?php
						if ( function_exists( 'wpfp_link' ) ) {
							wpfp_link();
						}
						?>
					</li>
				</ul>
				<?php
				$pp_lb_check   = get_option( 'pp_ctrl_for_recipe', false );
				$video_check   = get_post_meta( $post->ID, 'RECIPE_META_recipe_video_check', true );
				$video_embed   = get_post_meta( $post->ID, 'RECIPE_META_recipe_video_code', true );
				$recipe_images = get_post_meta( $post->ID, 'RECIPE_META_more_images_recipe' );
				$theme_framework = get_option( 'recipe_theme_framework' );
				if( $theme_framework == 'show' ){
					$image_size = 'portfolio-main';
				} else {
					$image_size = 'thumbnail-blog';
				}
				if ( 'on' === $video_check && ! empty( $video_embed ) ) {
					?>
					<!-- Recipe Single Video -->
					<div id="video-data" class="single-img-box video-recipe">
						<?php
						echo wp_kses( $video_embed, inspiry_allowed_html_tags() );
						?>
					</div>
					<?php
				} elseif ( ! empty( $recipe_images ) && count( $recipe_images ) > 1 ) {

					if ( is_active_sidebar( 'sidebar-3' ) ) {
						get_template_part( 'inc/recipe/recipe-single-slider-normal' );
					} else {
						get_template_part( 'inc/recipe/recipe-single-slider-wide' );
					}

				} elseif ( has_post_thumbnail() ) {
					$image_id  = get_post_thumbnail_id();
					$image_url = wp_get_attachment_image_src( $image_id, 'portfolio-main', true );
					echo " <div class='single-img-box '>";
					?>
					<a
						<?php
						if ( 'true' === get_option( 'pp_ctrl_for_recipe' ) ) {
							echo 'rel="prettyPhoto" href="' . esc_url( $image_url[0] ) . '"';
						}
						?>
							title="<?php the_title_attribute(); ?>">
						<?php
						the_post_thumbnail( $image_size,
							array( 'class'    => 'photo' )
						);
						?>
					</a>
					<?php
					echo '</div>';
				}

				if (
					'show' === get_option( 'recipe_info_show_hide' )
					&& function_exists( 'inspiry_recipe_info' )
				) {
					inspiry_recipe_info( get_the_ID() );
                }
				?>

				<span class="w-pet-border"></span>
				<div class="row">
					<?php
					$theme_framework = get_option( 'recipe_theme_framework' );
					if ( 'hide' === $theme_framework ) {
						?>
						<div class="info-right col-lg-4">

							<!-- Cook Info -->
							<?php
							$author_recipes_show_hide = get_option( 'recipe_author_show_hide', false );
							if ( 'hide' !== $author_recipes_show_hide ) {
								get_template_part( 'inc/cook-info' );
							}
							?>

							<!-- Rating Icons -->
							<?php
							$rating_check = get_option( 'recipe_show_rating', false );
							if ( 'show_rating' === $rating_check && class_exists( 'Food_Recipes_Pack_Pack_Rating' ) ) {
								$rating = new Food_Recipes_Pack_Pack_Rating();
								$rating->render_rating_section( $post->ID );
							}
							?>

							<!-- Including More Recipes part -->
							<?php
							$more_recipes_show_hide = get_option( 'more_recipe_show_hide', false );
							if ( 'hide' !== $more_recipes_show_hide ) {
								get_template_part( 'inc/more-recipes-loop' );
							}
							?>

							<!-- Including Nutritional Info part -->
							<?php
							$recipe_nutrition_show_hide = get_option( 'recipe_nutrition_show_hide', false );
							if ( 'hide' !== $recipe_nutrition_show_hide ) {
								get_template_part( 'inc/nutritional-info' );
							}
							?>

							<?php if ( ! dynamic_sidebar( 'sidebar-6' ) ) : endif; ?>

						</div><!-- end of info-right div -->
						<?php
					}
					$recipe_right_info_show_hide = get_option( 'recipe_right_info_show_hide', false );
					?>
					<?php
					if ( 'hide' !== $recipe_right_info_show_hide ) {
						if ( 'hide' !== $theme_framework ) {
							?>
							<div class="info-right col-md-5 col-lg-4">

								<!-- Cook Info -->
								<?php
								$author_recipes_show_hide = get_option( 'recipe_author_show_hide', false );
								if ( 'hide' !== $author_recipes_show_hide ) {
									get_template_part( 'inc/cook-info' );
								}
								?>

								<!-- Rating Icons -->
								<?php
								$rating_check = get_option( 'recipe_show_rating', false );
								if ( 'show_rating' === $rating_check && class_exists( 'Food_Recipes_Pack_Pack_Rating' ) ) {
									$rating = new Food_Recipes_Pack_Pack_Rating();
									$rating->render_rating_section( $post->ID );
								}
								?>

								<!-- Including More Recipes part -->
								<?php
								$more_recipes_show_hide = get_option( 'more_recipe_show_hide', false );
								if ( 'hide' !== $more_recipes_show_hide ) {
									get_template_part( 'inc/more-recipes-loop' );
								}
								?>

								<!-- Including Nutritional Info part -->
								<?php
								$recipe_nutrition_show_hide = get_option( 'recipe_nutrition_show_hide', false );
								if ( 'hide' !== $recipe_nutrition_show_hide ) {
									get_template_part( 'inc/nutritional-info' );
								}
								?>

								<?php if ( ! dynamic_sidebar( 'sidebar-6' ) ) : endif; ?>

							</div><!-- end of info-right div -->
							<?php
						}
					}
					?>
					<div class="info-left instructions <?php echo 'hide' === $recipe_right_info_show_hide ? 'no-right-info col-md-12' : 'col-md-7 col-lg-8'; ?>">

						<div><?php the_content(); ?></div>

						<div class="recipe-tags clearfix">
							<span class="type"><?php echo get_the_term_list( $post->ID, 'recipe_type', esc_html__( ' Recipe Type: ', 'inspirythemes-food-recipes' ), ', ', '' ); ?></span>
							<span class="tags"><?php the_tags( esc_html__( 'Tags: ', 'inspirythemes-food-recipes' ), ', ', '' ); ?> </span>
							<span class="ingredient"><?php echo get_the_term_list( $post->ID, 'ingredient', esc_html__( ' Ingredients: ', 'inspirythemes-food-recipes' ), ', ', '' ); ?></span>
							<!-- Share Icons -->
							<?php
							$social_check = get_option( 'recipe_show_social_icons' );
							if( 'show_social' === $social_check ){
								if( function_exists( 'cn_social_icon') ){
									$attr = array (
										'width' => '15', //input only number, in pixel
										'height' => '15', //input only number, in pixel
										'margin' => '4', //input only number, in pixel
										'display' => 'horizontal', //horizontal | vertical
										'alignment' => 'left', //center | left | right
										'attr_id' => 'fr_icon_id', //add custom id to <ul> wraper
										'attr_class' => 'fr_icon_class', //add custom class to <ul> wraper
									);
									echo cn_social_icon( $attr );
								}
							}
							?>
						</div>

					</div><!-- end of info-left div -->
				</div>
				<span class="w-pet-border"></span>

			<?php
			endwhile;
		}

		if ( 0 === ! get_comments_number() ) {
			?>
			<h3 class="blue print-comment"><?php esc_html_e( 'Recipe Comments ', 'inspirythemes-food-recipes' ); ?></h3>
			<?php
		}
		?>

		<!-- Default Comments -->
		<div class="comments">
			<?php comments_template( '', true ); ?>
		</div><!-- end of comments div -->

	</div><!-- end of left-area -->
	<!-- LEFT AREA ENDS HERE -->
	<?php if ( is_active_sidebar( 'sidebar-3' ) ) { ?>
        <div id="sidebar" class="col-md-4">
			<?php
			dynamic_sidebar( 'sidebar-3' );
			?>
        </div><!-- end of sidebar -->
	<?php } ?>

</div>