<div <?php post_class(); ?> id="post-<?php the_ID(); ?>">

	<h1 class="post-title entry-title">
		<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php printf( esc_html__( 'Permanent Link to %s', 'inspirythemes-food-recipes' ), the_title_attribute( array( 'echo' => false ) ) ); ?>"><?php the_title(); ?></a>
	</h1>
	<p class="meta vcard">
		<?php esc_html_e( 'By: ', 'inspirythemes-food-recipes' ); ?>
		<a class="author fn" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>">
			<?php the_author_meta( 'display_name' ); ?>
		</a>
		<span>|</span>
		<span class="comments">
			<?php comments_popup_link( esc_html__( '0 Comments', 'inspirythemes-food-recipes' ), esc_html__( '1 Comment', 'inspirythemes-food-recipes' ), esc_html__( '% Comments', 'inspirythemes-food-recipes' ) ); ?>
		</span>
		<span>|</span>
		<time class="entry-date updated" datetime="<?php the_time( 'c' ); ?>">
			<?php
            esc_html_e( 'Updated: ', 'inspirythemes-food-recipes' );
            the_time( get_option( 'date_format' ) );
            ?>
		</time>
		<span>|</span>
		<?php esc_html_e( 'Category', 'inspirythemes-food-recipes' ); ?>:
		<span class="cats"><?php the_category( ', ' ); ?></span>
		<?php
		$post_tags = get_the_tags();
		if ( $post_tags ) {
			?>
			<span>|</span> <?php esc_html_e( 'Tags', 'inspirythemes-food-recipes' ); ?> : <span class="tags"><?php the_tags( '' ); ?></span>
		<?php } ?>
	</p>
	<?php
	if ( has_post_thumbnail() ) {
		$image_id    = get_post_thumbnail_id();
		$image_url   = wp_get_attachment_image_src( $image_id, 'full-size', true );
		$pp_lb_check = get_option( 'pp_ctrl_for_blog' );
		$theme_framework = get_option( 'recipe_theme_framework' );
		if( $theme_framework == 'show' ){
			$image_size = 'portfolio-main';
		} else {
			$image_size = 'thumbnail-blog';
		}
		?>
		<div class="post-thumb single-img-box">
			<a <?php if ( $pp_lb_check === 'true' ) {
				echo 'data-rel="prettyPhoto"';
			}; ?> href="<?php if ( $pp_lb_check === 'true' ) {
				echo esc_url( $image_url[0] );
			} else {
				get_permalink();
			} ?>" title="<?php the_title_attribute(); ?>">
				<?php the_post_thumbnail( $image_size ); ?>
			</a>
		</div>
		<?php
	}
	?>
	<p>
		<?php
		global $theme_framework;
		$expert = $theme_framework !== 'hide' ? '50' : '15';
		echo wp_trim_words( get_the_excerpt(), $expert, ' ...' );
		?>
		<a href="<?php the_permalink(); ?>" class="res-more"><?php esc_html_e( 'more', 'inspirythemes-food-recipes' ); ?></a>
	</p>
	<a href="<?php the_permalink(); ?>" class="readmore rightbtn"><?php esc_html_e( 'Read more', 'inspirythemes-food-recipes' ); ?></a>
</div><!-- end of post div -->
