(function ($) {

    "use strict";
    window.onload = function () {
        $("#main-loader").css('display', 'none');
    };

    /*-----------------------------------------------------------------------------------*/

    /* Recipe Sorting
     /*-----------------------------------------------------------------------------------*/
    function insertParam(key, value) {
        key = encodeURI(key);
        value = encodeURI(value);

        var kvp = document.location.search.substr(1).split('&');

        var i = kvp.length;
        var x;
        while (i--) {
            x = kvp[i].split('=');

            if (x[0] == key) {
                x[1] = value;
                kvp[i] = x.join('=');
                break;
            }
        }

        if (i < 0) {
            kvp[kvp.length] = [key, value].join('=');
        }

        //this will reload the page, it's likely better to store this until finished
        document.location.search = kvp.join('&');
    }

    $('#recipe-sorting').on('change', function () {
        var key = 'sortby';
        var value = $(this).val();
        insertParam(key, value);
    });


    $('#advance-search').on('submit', function () {

        var params = {};

        if (location.search) {
            var parts = location.search.substring(1).split('&');

            for (var i = 0; i < parts.length; i++) {
                var nv = parts[i].split('=');
                if (!nv[0]) continue;
                params[nv[0]] = nv[1] || true;
            }
        }

// Now you can get the parameters you want like so:
        var abc = params.abc;

    });

    //=========== Necessary CSS Targets
    $('#bottom').find('h2').addClass("w-bot-border");
    var nut_elements_count = $('#left-area .info-right .nutritional ul').children().length;
    var lastNutElement = $('#left-area .info-right .nutritional ul li:last-child');
    if ((nut_elements_count % 2) == 0) {
        lastNutElement.css('border', 'none').css('padding-bottom', '0px');
        lastNutElement.prev('li').css('border', 'none').css('padding-bottom', '0px');
    }
    else {
        lastNutElement.css('border', 'none').css('padding-bottom', '0px');
    }
    $('.thumb-slider-wrap').closest('#slider').addClass('thumb_slider');
    $(".widget_displaytweetswidget h2, .wpfp_users_favorites_widget_view h2, .wpfp_widget_view h2").html(function (_, html) {
        return html.replace(html.split(' ')[0], '<span>' + html.split(' ')[0] + '</span>');
    });

    // ========== Search Validation
    $('#searchform').on( 'submit', function( event ) {
        if( ! $( '#s' ).val() ) {
            event.preventDefault();
            alert(bootstrap.empty_search_alter);
        }
    });

    // Width Counter for Navigation
    var navWidthCounter = function () {
        var itemsCount = $('.nav > li').size();
        var allListWidth = 0;
        var i = 0;
        while (i <= itemsCount) {
            allListWidth += $('.nav > li:nth-child(' + i + ')').width();
            i++;
        }
        return allListWidth;
    };

    var navWidth = navWidthCounter(),
        windowWidth = $(window).width(),
        navLimit = 780;
    if (windowWidth > 1000) {
        navLimit = 780;
    } else if (windowWidth > 748) {
        navLimit = 600;
    }
    if (navWidth > navLimit) {
        //$('.nav').after('<span class="nav-more"><a>More</a><ul></ul></span>');
        $('.nav').prepend('<li class="more"><a>More</a><ul></ul></li>');
        while (navWidth > navLimit) {
            var lastoneis = $('.nav > li:last-child').html();
            $('.nav > li:last-child').remove();
            $('.more ul').prepend('<li>' + lastoneis + '</li>');
            navWidth = navWidthCounter();
        }
        var shiftnav = $('.nav > li:first-child');
        $('.more').remove();
        $('.nav').append(shiftnav);
    }

    // Navigation Hover
    $('#nav-wrap ul > li, .nav-more').on( 'mouseover', function(){
        $(this).children('a').stop(true, true).animate({color: "#B3C897"}, 200);
        $(this).children('ul').stop(true, true).fadeIn(350);
    });

    $('#nav-wrap ul > li, .nav-more').on( 'mouseleave', function(){
        $(this).children('a').stop(true, true).animate({color: "#fff"}, 200);
        $(this).children('ul').hide();
    });


    //==================================

    function equalheight(container) {

        var currentTallest = 0,
            currentRowStart = 0,
            rowDivs = new Array(),
            $el,
            topPosition = 0;
        $(container).each(function () {

            $el = $(this);
            $($el).height('auto');
            var topPostion = $el.position().top;

            if (currentRowStart != topPostion) {
                for (var currentDiv = 0; currentDiv < rowDivs.length; currentDiv++) {
                    rowDivs[currentDiv].height(currentTallest);
                }
                rowDivs.length = 0; // empty the array
                currentRowStart = topPostion;
                currentTallest = $el.height();
                rowDivs.push($el);
            } else {
                rowDivs.push($el);
                currentTallest = (currentTallest < $el.height()) ? ($el.height()) : (currentTallest);
            }
            for (currentDiv = 0; currentDiv < rowDivs.length; currentDiv++) {
                rowDivs[currentDiv].height(currentTallest);
            }
        });
    }

    // add search icon to header search form
    $( '.searchform input[type=submit]' ).after('<i class="fa fa-search"></i>');

    if ((bootstrap.grid == 'hide') && (bootstrap.author_page == 'true')) {

        $('#left-area.author-full-width .half-width:odd').animate({
            marginRight: 0,
            marginLeft: '15px'
        }, 0);

    }
    if ((bootstrap.author_page == 'true')) {


        $(window).load(function () {
            equalheight('#left-area.author-full-width .bootstrap-width .post, #left-area.author-full-width .cat-list li');
        });


        $(window).resize(function () {
            equalheight('#left-area.author-full-width .bootstrap-width .post, #left-area.author-full-width .cat-list li');
        });

    }


    /* Pretty Photo Lightbox */

    if (jQuery().prettyPhoto) {

        $(".pretty-photo").prettyPhoto({
            deeplinking: false,
            social_tools: false
        });

        $('a[data-rel]').each(function () {
            $(this).attr('rel', $(this).data('rel'));
        });

        $("a[rel^='prettyPhoto']").prettyPhoto({
            deeplinking: false,
            social_tools: false
        });
    }

    /*-----------------------------------------------------------------------------------*/
    /*	Responsive Nav for Header
    /*-----------------------------------------------------------------------------------*/


    var $mainNav = $('.inn-nav .nav');
    var optionsList = '<option value="" selected>' + scriptText.meanMenuTitle + '</option>';

    $mainNav.find('li').each(function () {
        var $this = $(this),
            $anchor = $this.children('a'),
            depth = $this.parents('ul').length - 1,
            indent = '';
        if (depth) {
            while (depth > 0) {
                indent += ' - ';
                depth--;
            }
        }
        optionsList += '<option value="' + $anchor.attr('href') + '">' + indent + ' ' + $anchor.text() + '</option>';
    }).end().last()
        .after('<select class="responsive-nav">' + optionsList + '</select>');

    $('.responsive-nav').on('change', function () {
        window.location = $(this).val();
    });

    //NIVO SLIDER
    if (jQuery().nivoSlider) {
        $('.nivo-slides').nivoSlider({
            effect: 'boxRain,fold,fade', // Specify sets like: fold,fade,sliceDown,boxRain,random
            slices: 25, // For slice animations
            boxCols: 16, // For box animations
            boxRows: 8, // For box animations
            animSpeed: 600, // Slide transition speed
            pauseTime: 6000, // How long each slide will show
            startSlide: 0, // Set starting Slide (0 index)
            directionNav: true, // Next & Prev navigation
            directionNavHide: true, // Only show on hover
            controlNav: true, // circles navigation
            captionOpacity: 0.7
        });
    }

    // Tabs Code for whole site
    $('.tabed .tabs li:first-child').addClass('current');
    $('.tabed .block:first').addClass('current');

    $('.tabed .tabs li').on( 'click', function () {
        var tabNumber = $(this).index();
        $(this).parent('ul').siblings('.block').removeClass('current');
        $(this).siblings('li').removeClass('current');
        $(this).addClass('current');
        $(this).parent('ul').parent('.tabed').children('.block:eq(' + tabNumber + ')').addClass('current');
    });

    // Accordion for Whole Site
    $('.accordion h5').on( 'click', function () {
        if (!$(this).hasClass('current')) {
            //var tabNumber = $(this).index();
            $('.accordion .pane.current').stop(true, true).slideUp(700).removeClass('current');
            $(this).next('.pane').stop(true, true).slideDown(700).addClass('current');
            $('.accordion h5.current').removeClass('current');
            $(this).addClass('current');
        }
    });

    // Toggle Box Code for Whole Site
    $('.toggle-box ul li h5').on( 'click', function () {
        if ($(this).parent('li').hasClass('active')) {
            $(this).stop(true, true).siblings('p').slideUp('slow');
            $(this).parent('li').removeClass('active');
        } else {
            $(this).stop(true, true).siblings('p').slideDown(500);
            $(this).parent('li').addClass('active');
        }
    });

    //==================================


    // FAQ list counter for FAQ page

    var setFaqCount = function () {
        $('.faq-list li').each(function (index, element) {
            $(this).children('.number').prepend(index + 1);
        });
    };
    setFaqCount();


    // FAQ Toggle Effect for FAQ Page
    $('.faq-list li').children('p').slideUp();
    $('.faq-list li.active').children('p').show('blind', 300);

    $('.faq-list li h3').on( 'click', function () {
        $(this).siblings('p').stop().slideToggle(200);
        $(this).parent('li').toggleClass('active');
    });


    // Recipe Single Carousel Code for Recipe Single Full Width Page
    var horizWrap = $('#horiz_container'),
        horizItem = $('#horiz_container li'),
        horizBtnRight = $('#horiz_container_outer .right'),
        horizBtnLeft = $('#horiz_container_outer .left'),
        outerWidth = 0;
    var pieceWidth = horizItem.width() + parseInt(horizItem.css('padding-left')) + parseInt(horizItem.css('margin-left'));
    var pieceCount = horizItem.length;
    if (pieceCount % 2 != 0) {
        outerWidth = pieceCount / 2 * pieceWidth + pieceWidth;
    } else {
        outerWidth = (pieceCount / 2) * pieceWidth;
    }
    horizWrap.css('width', outerWidth);
    var carStatus = 0;
    horizBtnRight.on( 'click',function () {
        if (carStatus < (pieceCount / 2) * pieceWidth - (pieceWidth + pieceWidth)) {
            horizWrap.animate({left: "-=" + pieceWidth}, 500);
            carStatus += pieceWidth;
        }
    });
    horizBtnLeft.on( 'click',function () {
        if (carStatus > 0) {
            $('#horiz_container').animate({left: "+=" + pieceWidth}, 500);
            carStatus -= pieceWidth;
        }
    });

    // Recipe Single Full Width Page Image Switch Code from Carousel
    horizItem.on( 'click',function () {
        var thisImgSrc = $(this).children('a').data('rel'),
            thisImgPPSrc = $(this).children('a').data('ppurl'),
            thisImgCaption = $(this).children('a').data('ppcaption'),
            targetImg = $('.single-img-box img'),
            targetImgSrc = targetImg.attr('src'),
            targetImgPrtHref = $('.single-img-box a').data('rel');

        if (thisImgSrc != targetImgSrc) {
            targetImg.fadeOut(200, function () {
                $('.recipe-single-img').addClass('withbg');
                $(this).attr('src', thisImgSrc);
                $(this).attr('srcset', thisImgSrc);
                $(this).parent('a').attr('title', thisImgCaption);
                if (targetImgPrtHref != 'none') {
                    $(this).parent('a').attr('href', thisImgPPSrc);
                }
                $(this).load(function () {
                    $(this).fadeIn(200, function () {
                        $('.recipe-single-img').removeClass('withbg');
                    });
                });
            });
        }
    });

    // Slider Call for Accordion Slider
    if ($('#accordion-slider').length > 0) {
        slideMenu.build('accordion-slider', 740, 10, 5, 2);
    }

    // Rating System Code
    var rate_status,
        rateItem = $('#rate-product .rates span');
    rateItem.on( 'mouseenter', function () {
        var itemCount = $(this).index() + 2;
        var i = 0;
        while (i < itemCount) {
            $('#rate-product .rates span:nth-child(' + i + ')').removeClass('off');
            i++;
        }

    });
    rateItem.on( 'mouseleave', function () {
        var i = 0;
        rateItem.addClass('off');
        while (i < rate_status) {
            $('#rate-product .rates span:nth-child(' + i + ')').removeClass('off');
            i++;
        }
    });
    rateItem.on( 'click', function () {

        rate_status = $(this).index() + 2;

        $('#selected_rating').attr('value', rate_status - 1);

        var options = {
            target: '#output',   // target element(s) to be updated with server response
            beforeSubmit: function () {
            },  // pre-submit callback
            success: function () {
                $('#rate-product').fadeOut('slow', function () {
                    $('#output').fadeIn('slow');
                });
            }
        };

        $('#rate-product').ajaxSubmit(options);

    });

    //==================================
    $('.more-ingre').on( 'click', function () {
        var thisparent = $(this).parent('fieldset');
        thisparent.find('input:first').clone(true).val('').appendTo(thisparent);
        thisparent.find('textarea:first').clone(true).appendTo(thisparent);
        thisparent.addClass( 'multiple' );
    });


    //==================================

    $('h4.me-steps').on( 'click', function () {
        var stepcheck = $(this).children('.stepcheck');
        if (stepcheck.hasClass('finished')) {
            stepcheck.removeClass('finished');
            stepcheck.parent('h4').css('text-decoration', 'none');
            stepcheck.parent('h4').next('p').css('text-decoration', 'none');
        } else {
            stepcheck.addClass('finished');
            stepcheck.parent('h4').css('text-decoration', 'line-through');
            stepcheck.parent('h4').next('p').css('text-decoration', 'line-through');
        }
    });

    //==================================
    (function ($) {
        $.fn.checkFileType = function (options) {
            var defaults = {
                allowedExtensions: [],
                success: function () {
                },
                error: function () {
                }
            };
            options = $.extend(defaults, options);

            return this.each(function () {

                $(this).on('change', function () {
                    var value = $(this).val(),
                        file = value.toLowerCase(),
                        extension = file.substring(file.lastIndexOf('.') + 1);

                    if ($.inArray(extension, options.allowedExtensions) == -1) {
                        options.error();
                        $(this).focus();
                    } else {
                        options.success();

                    }

                });

            });
        };

    })(jQuery);

    //==================================
    $(function () {
        $('#photo').checkFileType({
            allowedExtensions: ['jpg', 'jpeg', 'png'],
            success: function () {
                //alert('Success');
            },
            error: function () {
                alert('Unsupported Image File Type! Please upload image file of jpeg or png format');
            }
        });

    });

    if (jQuery().select2) {

        $('#advance-search select, .widget select').select2({
            language: "en",
            dropdownCssClass : "sidebar-select"
        });

        $( '#left-area select' ).select2();

        window.onresize = function () {

            var ua = navigator.userAgent.toLowerCase();
            var isAndroid = ua.indexOf("android") > -1; //&& ua.indexOf("mobile");
            if (!isAndroid) {
                $('#advance-search select').select2({
                    language: "en"
                });
                //$('#recipe-sorting').select2({
                //    language: "en",
                //    minimumResultsForSearch: Infinity
                //});
            }
        }
    }
    //==================================
    if (jQuery().plupload) {

        var removeImage = $(document).find('a.remove-image'),
            markFeatured = $(document).find('a.mark-featured');

        // To remove language parameters in case of WPML
        var removeQueryStringParameters = function ( url ) {
            if ( url.indexOf ('?') >= 0 ) {
                var urlParts = url.split('?');
                return urlParts[0];
            }
            return url;
        };

        var ajaxURL = removeQueryStringParameters( recipeSubmit.ajaxURL );
        var uploadNonce = recipeSubmit.uploadNonce;
        var fileTypeTitle = recipeSubmit.fileTypeTitle;

        /* Apply jquery ui sortable on gallery items */
        $( "#gallery-thumbs-container" ).sortable({
            revert: 100,
            placeholder: "sortable-placeholder",
            cursor: "move"
        });

        /* initialize uploader */
        var uploader = new plupload.Uploader({
            browse_button: 'select-images',          // this can be an id of a DOM element or the DOM element itself
            file_data_name: 'inspiry_upload_file',
            drop_element: 'drag-and-drop',
            url: ajaxURL + "?action=ajax_img_upload&nonce=" + uploadNonce,
            filters: {
                mime_types : [
                    { title : fileTypeTitle, extensions : "jpg,jpeg,gif,png" }
                ],
                max_file_size: '10000kb',
                prevent_duplicates: true
            }
        });
        uploader.init();


        /* Run after adding file */
        uploader.bind('FilesAdded', function(up, files) {
            var html = '';
            var galleryThumb = "";
            plupload.each(files, function(file) {
                galleryThumb += '<div id="holder-' + file.id + '" class="gallery-thumb">' + '' + '</div>';
            });
            document.getElementById('gallery-thumbs-container').innerHTML += galleryThumb;
            up.refresh();
            uploader.start();
        });


        /* Run during upload */
        uploader.bind('UploadProgress', function(up, file) {
            document.getElementById( "holder-" + file.id ).innerHTML = '<span>' + file.percent + "%</span>";
        });


        /* In case of error */
        uploader.bind('Error', function( up, err ) {
            document.getElementById('errors-log').innerHTML += "<br/>" + "Error #" + err.code + ": " + err.message;
        });


        /* If files are uploaded successfully */
        uploader.bind('FileUploaded', function ( up, file, ajax_response ) {
            var response = $.parseJSON( ajax_response.response );

            if ( response.success ) {

                document.getElementById( "holder-" + file.id ).innerHTML = '<img src="' + response.url + '" alt="" />' +
                    '<a class="remove-image" data-recipe-id="' + 0 + '"  data-attachment-id="' + response.attachment_id + '" href="#remove-image" ><i class="far fa-trash-alt"></i></a>' +
                    '<a class="mark-featured" data-property-id="' + 0 + '"  data-attachment-id="' + response.attachment_id + '" href="#mark-featured" ><i class="fa fa-star-o"></i></a>' +
                    '<input type="hidden" class="gallery-image-id" name="gallery_image_ids[]" value="' + response.attachment_id + '"/>' +
                    '<span class="loader"><i class="fas fa-spinner fa-spin"></i></span>';

                bindThumbnailEvents();  // bind click event with newly added gallery thumb
            } else {
                // log response object
                console.log ( response );
            }
        });

        /* Bind thumbnails events with newly added gallery thumbs */
        var bindThumbnailEvents = function () {

            // unbind previous events
            removeImage.unbind('click');
            markFeatured.unbind('click');

            // Mark as featured
            $(document).find('a.mark-featured').on( 'click', function(event){

                event.preventDefault();

                var $this = $( this );
                var starIcon = $this.find('i');

                if ( starIcon.hasClass( 'fa-star-o' ) ) {   // if not already featured

                    $('.gallery-thumb .featured-img-id').remove();      // remove featured image id field from all the gallery thumbs
                    $('.gallery-thumb .mark-featured i').removeClass( 'fa-star').addClass( 'fa-star-o' );   // replace any full star with empty star

                    var $this = $( this );
                    var input = $this.siblings( '.gallery-image-id' );      //  get the gallery image id field in current gallery thumb
                    var featured_input = input.clone().removeClass( 'gallery-image-id' ).addClass( 'featured-img-id' ).attr( 'name', 'featured_image_id' );
                    // duplicate, remove class, add class and rename to full fill featured image id needs

                    $this.closest( '.gallery-thumb' ).append( featured_input );     // append the cloned ( featured image id ) input to current gallery thumb
                    starIcon.removeClass( 'fa-star-o' ).addClass( 'fa-star' );      // replace empty star with full star

                }

            }); // end of mark as featured click event


            // Remove gallery images
            $(document).find('a.remove-image').on( 'click', function(event){

                event.preventDefault();
                var $this = $(this);
                var gallery_thumb = $this.closest('.gallery-thumb');
                var loader = $this.siblings('.loader');

                loader.show();

                var removal_request = $.ajax({
                    url: ajaxURL,
                    type: "POST",
                    data: {
                        recipe_id : $this.data('recipe-id'),
                        attachment_id : $this.data('attachment-id'),
                        action : "remove_gallery_image",
                        nonce : uploadNonce
                    },
                    dataType: "html"
                });

                removal_request.done(function( response ) {
                    var result = $.parseJSON( response );
                    if( result.attachment_removed ){
                        gallery_thumb.remove();
                    } else {
                        document.getElementById('errors-log').innerHTML += "<br/>" + "Error : Failed to remove attachment";
                    }
                });

                removal_request.fail(function( jqXHR, textStatus ) {
                    alert( "Request failed: " + textStatus );
                });

            });  // end of remove gallery thumb click event

        };  // end of bind thumbnail events

        bindThumbnailEvents(); // run it first time - required for recipe edit page
    }

}(jQuery));