<?php
get_header();

if ( is_active_sidebar( 'sidebar-1' ) ) {
	$wrap_classes = 'col-md-8';
} else {
	$wrap_classes = 'col-md-12 full-wide';
}
?>
<div class="row recipe-listing-row">
	<div id="left-area" class="clearfix <?php echo esc_attr( $wrap_classes ); ?>">
		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

			<div <?php post_class(); ?> id="page-<?php the_ID(); ?>">
				<h1 class="post-title"><?php the_title(); ?></h1>
				<p class="meta">
					<span class="comments"><?php comments_popup_link( esc_html__( '0 Comments', 'inspirythemes-food-recipes' ), esc_html__( '1 Comment', 'inspirythemes-food-recipes' ), esc_html__( '% Comments', 'inspirythemes-food-recipes' ) ); ?></span>
					<span>|</span> <?php esc_html__( 'Last Update:', 'inspirythemes-food-recipes' ); ?>
					<span> <?php the_time( get_option( 'date_format' ) ); ?></span></p>
				<?php
				if ( has_post_thumbnail() ) {
					$image_id  = get_post_thumbnail_id();
					$image_url = wp_get_attachment_image_src( $image_id, 'full-size', true );
					?>
					<div class="post-thumb single-img-box">
						<a rel="prettyPhoto" title="<?php the_title_attribute(); ?>" href="<?php echo esc_url( $image_url[0] ); ?>">
							<?php the_post_thumbnail( 'thumbnail-blog' ); ?>
						</a>
					</div>
					<?php
				}

				the_content();
				?>
				<?php
				wp_link_pages(
					array(
						'before'         => '<p class="pages-nav"><strong>' . esc_html__( 'Pages ', 'inspirythemes-food-recipes' ) . '</strong> ',
						'after'          => '</p>',
						'next_or_number' => 'number',
					)
				);
				?>
			</div><!-- end of post div -->
		<?php
		endwhile;
		endif;
		?>
		<div class="comments">
			<?php comments_template( '', true ); ?>
		</div><!-- end of comments div -->

	</div><!-- end of left-area -->
	<!-- LEFT AREA ENDS HERE -->
	<?php
	if ( is_active_sidebar( 'sidebar-1' ) ) {
			get_sidebar();
	}
	?>
</div>
<?php get_footer(); ?>
