<?php
get_header();

if ( is_active_sidebar( 'sidebar-1' ) ) {
	$wrap_classes = 'col-md-8';
} else {
	$wrap_classes = 'col-md-12 full-wide';
}
?>
<div class="row recipe-listing-row">
	<div id="left-area" class="clearfix <?php echo esc_attr( $wrap_classes ); ?>">
		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

			<div <?php post_class(); ?> id="post-<?php the_ID(); ?>">
				<h1 class="single-post-title"><?php the_title(); ?></h1>
				<p class="meta">
					<?php esc_html_e( 'By', 'inspirythemes-food-recipes' ); ?> :
					<?php the_author_posts_link(); ?>
					<span>|</span>
					<span class="comments"><?php comments_popup_link( esc_html__( '0 Comments', 'inspirythemes-food-recipes' ), esc_html__( '1 Comment', 'inspirythemes-food-recipes' ), esc_html__( '% Comments', 'inspirythemes-food-recipes' ) ); ?></span>
					<span>|</span> On : <?php the_time( get_option( 'date_format' ) ); ?>
					<span>|</span> <?php esc_html_e( 'Category', 'inspirythemes-food-recipes' ); ?> :
					<span class="cats"><?php the_category( ', ' ); ?></span></p>
				<?php
				if ( has_post_thumbnail() ) {
					$image_id  = get_post_thumbnail_id();
					$image_url = wp_get_attachment_image_src( $image_id, 'full-size', true );
					?>
					<div class="post-thumb single-img-box">
						<a <?php if ( 'show_lightbox' === get_option( 'pp_ctrl_for_blog' ) ) {
							echo 'rel="prettyPhoto" href="' . esc_url( $image_url[0] ) . '"';
						}
						?>
								title="<?php the_title_attribute(); ?>">
							<?php the_post_thumbnail( 'thumbnail-blog' ); ?>
						</a>
					</div>
					<?php

				}
				the_content();
				$social_check = get_option( 'post_show_social_icons' );
				if( 'show_social' === $social_check ){
					if( function_exists( 'cn_social_icon') ){
						$attr = array (
							'width' => '15', //input only number, in pixel
							'height' => '15', //input only number, in pixel
							'margin' => '4', //input only number, in pixel
							'display' => 'horizontal', //horizontal | vertical
							'alignment' => 'left', //center | left | right
							'attr_id' => 'fr_icon_id', //add custom id to <ul> wraper
							'attr_class' => 'fr_icon_class', //add custom class to <ul> wraper
						);
						echo cn_social_icon( $attr );
					}
				}
				?>
			</div><!-- end of post div -->
			<?php
			wp_link_pages(
				array(
					'before'         => '<div class="pages-navigation"><strong>' . esc_html__( 'Pages &nbsp;', 'inspirythemes-food-recipes' ) . '</strong> ',
					'after'          => '</div>',
					'link_before'    => '<span>',
					'link_after'     => '</span>',
					'next_or_number' => 'number',
				)
			);
			?>

		<?php endwhile; ?>

		<?php else : ?>

			<div <?php post_class(); ?> id="post-<?php the_ID(); ?>">
				<h2 class="post-title"><?php esc_html_e( 'No Post Found', 'inspirythemes-food-recipes' ); ?></h2>
			</div><!-- end of post div -->

		<?php endif; ?>

		<div class="comments">
			<?php comments_template( '', true ); ?>
		</div><!-- end of comments div -->

	</div><!-- end of left-area -->
	<!-- LEFT AREA ENDS HERE -->

	<?php
	if ( is_active_sidebar( 'sidebar-1' ) ) {
		get_sidebar();
	}
	?>
</div>
<?php get_footer(); ?>
