<?php

$slides             = get_option( 'basic_image_slider', array() );
$post_random        = get_option( 'basic_slider_random_latest_select_lis' );
$post_numbers       = get_option( 'basic_image_slide_numbers' );
$basic_slider_title = get_option( 'basic_slider_title' );
if ( ! empty( $slides ) || ! empty( $post_numbers ) ) {
	?>
	<div class="container">
		<div id="slider" class="full-width-basic-slider">
			<h2 class="slider-head"><?php echo ( ! empty( $basic_slider_title ) ) ? wp_kses_post( $basic_slider_title ) : ''; ?></h2>
			<p class="slogan"><?php echo wp_kses_post( get_option( 'b_slider_statement' ) ); ?></p>

			<div class="slides basic clearfix">
				<ul class="cycle-slideshow" data-cycle-fx=scrollHorz data-cycle-timeout=4000 data-cycle-slides="li" data-cycle-pager=".cycle-pager">

					<?php
					if ( 'off' === get_option( 'basic_slider_on_off' ) ) {
						$slides = json_decode( $slides );
						foreach ( $slides as $slide ) {
							$bs_slider_args = array(
								'post_type'      => array( 'post', 'recipe' ),
								'posts_per_page' => 1,
								'post__in'       => array( $slide->title ),
								'ignore_sticky_posts' => 1
							);

							$bs_slider_query = new WP_Query( $bs_slider_args );
							if ( $bs_slider_query->have_posts() ) {
								while ( $bs_slider_query->have_posts() ) :
									$bs_slider_query->the_post();
									if( ! empty( $slide->url ) ) {
										?>
										<li>
											<img src="<?php echo esc_url( $slide->url ); ?>"
											     alt="<?php the_title_attribute(); ?>"/>
											<div class="about">
												<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
												<p><?php echo wp_kses_post( wp_trim_words( get_the_excerpt(), 28, '...' ) ); ?></p>
												<a href="<?php the_permalink(); ?>"
												   class="readmore"><?php esc_html_e( 'Read more', 'inspirythemes-food-recipes' ); ?></a>
											</div>
										</li>
										<?php
									}
								endwhile;
							}
						}
					} else {
						$post_number    = ! empty( $post_numbers ) ? $post_numbers : 4;
						$bs_slider_args = array( 'posts_per_page' => $post_number );
						if ( 'random' === $post_random ) {
							$bs_slider_args['orderby'] = 'rand';
						}

						$bs_slider_args['post_type'] = 'on' === get_option( 'basic_slider_post_select' ) ? array(
							'recipe',
							'post',
						) : array( 'recipe' );
						$bs_slider_query             = new WP_Query( $bs_slider_args );
						if ( $bs_slider_query->have_posts() ) {
							while ( $bs_slider_query->have_posts() ) :
								$bs_slider_query->the_post();
								?>
								<li>
									<?php the_post_thumbnail( 'bs-slider-thumb' ); ?>
									<div class="about">
										<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
										<p>
											<?php
											global $theme_framework;
											$expert = 'hide' !== $theme_framework ? '50' : '28';
											echo wp_kses_post( wp_trim_words( get_the_excerpt(), $expert, '...' ) );
											?>
										</p>
										<a href="<?php the_permalink(); ?>" class="readmore"><?php esc_html_e( 'Read more', 'inspirythemes-food-recipes' ); ?></a>
									</div>
								</li>
							<?php
							endwhile;
						}
					}
					?>
				</ul>
				<div class="sliderNav">
					<div class="cycle-pager"></div>
				</div>
			</div><!-- end of slides -->
		</div><!-- end of Slider div -->
	</div>
	<?php
} else {
	?>
	<div id="slider" class="no-slides-error">
		<?php esc_html_e( 'Please add slides to your selected slider in theme options. Follow documentation for more detail.', 'inspirythemes-food-recipes' ); ?>
	</div>
	<?php
}
