<?php

$slides       = get_option( 'right_info_slider' );
$post_numbers = get_option( 'left_image_slide_numbers' );
$post_random  = get_option( 'random_latest_select_lis' );
if ( class_exists( 'Food_Recipes_Pack_Pack_Rating' ) ) {
	$rating = new Food_Recipes_Pack_Pack_Rating();
}
if ( ! empty( $slides ) || ! empty( $post_numbers ) ) {
	?>
	<div id="slider" class="slider2">

		<!-- Start Most Rated -->
		<div class="clearfix">
            <?php if('show_rating' === get_option( 'recipe_show_rating' )) : ?>
			<div class="most-rated">
				<span class="most-rated-title"><?php esc_html_e( 'Most Rated', 'inspirythemes-food-recipes' ); ?></span>
				<div class="item">
					<?php
					$top_recipe       = get_option( 'top_recipe_args' );
					$top_recipe_args  = array(
						'post_type'      => 'recipe',
						'posts_per_page' => 1,
						'orderby'        => 'meta_value_num',
						'meta_key'       => 'high_rating' === $top_recipe ? 'rating_average' : 'rating_counter',
						'order'          => 'DESC',
					);
					$top_recipe_query = new WP_Query( $top_recipe_args );
					if ( $top_recipe_query->have_posts() ) :
						while ( $top_recipe_query->have_posts() ) :
							$top_recipe_query->the_post();
							?>
							<a href="<?php the_permalink(); ?>" class="img-box"><?php the_post_thumbnail( 'most-rated-thumb' ); ?></a>
							<h5>
								<a href="<?php the_permalink(); ?>"><?php echo wp_kses_post( wp_trim_words( get_the_title(), 5, '...' ) ); ?></a>
							</h5>
							<p><?php echo esc_attr( wp_trim_words( get_the_excerpt(), 5, '...' ) ); ?></p>
							<?php
							$rating_check = get_option( 'recipe_show_rating' );
							if ( 'show_rating' === $rating_check && class_exists( 'Food_Recipes_Pack_Pack_Rating' ) ) {
								?>
								<p class="rate"><?php $rating->the_recipe_rating( $post->ID ); ?></p>
							<?php } ?>
						<?php
						endwhile;
					endif;
					?>
				</div>
			</div>
			<!-- End Most Rated -->
            <?php endif; ?>
			<h2 class="slider-head">
				<?php
				$slider_title = get_option( 'l_slider_title' );
				echo ! empty( $slider_title ) ? wp_kses_post( $slider_title ) : esc_html__( 'Top Recipe of the Day', 'inspirythemes-food-recipes' );
				?>
			</h2>

			<!-- Top recipes statement -->
			<p class="slogan">
				<?php
				$slider_statement = get_option( 'l_slider_statement' );
				echo ( ! empty( $slider_statement ) ) ? wp_kses_post( $slider_statement ) : '&nbsp;';
				?>
			</p>
		</div>
		<!-- Start of Slides -->
		<div class="row">
			<div class="slides right-slider clearfix">
				<ul class="cycle-slideshow" data-cycle-fx=scrollHorz data-cycle-timeout=4000 data-cycle-slides="li" data-cycle-pager=".cycle-pager">
					<?php
					if ( 'off' === get_option( 'left_image_on_off' ) ) {
						$slides = json_decode( $slides );
						foreach ( $slides as $slide ) {
							$slide_id[] = $slide->title;
						}
						$li_slider_args = array( 'post__in' => $slide_id );
					} else {
						$post_number    = ! empty( $post_numbers ) ? $post_numbers : 4;
						$li_slider_args = array( 'posts_per_page' => $post_number );
						if ( 'random' === $post_random ) {
							$li_slider_args['orderby'] = 'rand';
						}
					}

					$li_slider_args['post_type'] = 'on' === get_option( 'recipe_post_select' ) ? array( 'recipe', 'post' ) : array( 'recipe' );
					$li_slider_query             = new WP_Query( $li_slider_args );
					if ( $li_slider_query->have_posts() ) :
						while ( $li_slider_query->have_posts() ) :
							$li_slider_query->the_post();
							?>
							<li class="clearfix">
								<div class="col-md-7">
									<?php
									if ( has_post_thumbnail() ) {
										?>
										<a href="<?php the_permalink(); ?>" class="img-box">
											<?php the_post_thumbnail( 'li-slider-thumb' ); ?>
										</a>
										<?php
									}
									?>
								</div>
								<div class="slide-info col-md-5">
									<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
									<?php
									$rating_check = get_option( 'recipe_show_rating' );
									if ( ( 'show_rating' === $rating_check ) && ( 'recipe' === get_post_type() ) && class_exists( 'Food_Recipes_Pack_Pack_Rating' ) ) {
										?>
										<div class="rating">
											<?php $rating->the_recipe_rating( $post->ID ); ?>
											<span>
												<?php esc_html_e( 'Average Rating:', 'inspirythemes-food-recipes' ); ?>
												<span>(<?php echo esc_html( $rating->get_avg_rating( $post->ID ) ); ?> / 5)</span>
											</span>
										</div>
										<?php
									} else {
										echo '<hr>';
									}
									?>
									<p>
										<?php
										global $theme_framework;
										$theme_framework = get_option( 'recipe_theme_framework' );
										$expert          = 'hide' !== $theme_framework ? '60' : '28';
										echo esc_attr( wp_trim_words( get_the_excerpt(), $expert, ' ...' ) );
										?>
									</p>
									<a href="<?php the_permalink(); ?>" class="readmore"><?php esc_html_e( 'Read more', 'inspirythemes-food-recipes' ); ?></a>
								</div>
							</li>
						<?php
						endwhile;
					endif;

					?>
				</ul>
				<div class="sliderNav">
					<div class="cycle-pager"></div>
				</div>
			</div>
		</div><!-- end of slides -->

	</div><!-- end of Slider div -->
	<?php
} else {
	?>
	<div id="slider" class="no-slides-error">
		<?php esc_html_e( 'Please add slides to your selected slider in theme options. Follow documentation for more detail.', 'inspirythemes-food-recipes' ); ?>
	</div>
	<?php
}
