<?php
/*
* Template Name: Advance Search Template
*/
get_header();

if ( is_active_sidebar( 'recipe-search' ) ) {
	$wrap_classes = 'col-md-8';
} else {
	$wrap_classes = 'col-md-12 full-wide';
}
?>
<div class="row recipe-listing-row">
    <div id="left-area" class="clearfix <?php echo esc_attr( $wrap_classes ); ?>">
        <h1><?php esc_html_e('Search Results', 'inspirythemes-food-recipes'); ?> <span><?php the_search_query(); ?></span></h1>
        <span class="w-pet-border"></span><br />
		<?php
		global $list;
		foreach($_GET as $key => $value){
			if($value != '' && $key != 'recipe_authors'){
				$item['taxonomy'] = htmlspecialchars($key);
				$item['terms'] = htmlspecialchars($value);
				$item['field'] = 'slug';
				$list[] = $item;
			}
		}
		$adv_args = array(
			'post_type' => 'recipe',
			'posts_per_page' => 6,
			'paged' => $paged,
		);

		(isset($list) && $list != '') ? $adv_args['tax_query'] = $list : '' ;
		(isset($_GET['recipe_authors']) && $_GET['recipe_authors'] !== '-1' ) ? $adv_args['author__in'] = $_GET['recipe_authors'] : '' ;

		$the_adv_search_query = new WP_Query( $adv_args );

		if ($the_adv_search_query->have_posts()):
			while ($the_adv_search_query->have_posts()) :
				$the_adv_search_query->the_post();
				get_template_part( 'inc/recipe-post' );
			endwhile;
			wp_reset_postdata();
		else :
			?>

            <div <?php post_class(); ?> id="post-<?php the_ID(); ?>">
                <h2 class="post-title"><?php esc_html_e('No Result Found !', 'inspirythemes-food-recipes') ?></h2>
            </div><!-- end of post div -->

		<?php endif; ?>

		<?php
		// Pagination
		inspiry_theme_pagination( $the_adv_search_query);
		?>
    </div><!-- end of left-area -->
    <!-- LEFT AREA ENDS HERE -->
	<?php if ( is_active_sidebar( 'recipe-search' ) ) { ?>
		<div id="sidebar" class="col-md-4">
			<?php
			dynamic_sidebar( 'recipe-search' );
			?>
		</div><!-- end of sidebar -->
	<?php } ?>
</div>
<?php get_footer(); ?>
