<?php
/*
* Template Name: Contact Us
*/
get_header();

if ( is_active_sidebar( 'sidebar-7' ) ) {
	$wrap_classes = 'col-md-8';
} else {
	$wrap_classes = 'col-md-12 full-wide';
}
?>
<div class="row recipe-listing-row">
	<div id="left-area" class="clearfix <?php echo esc_attr( $wrap_classes ); ?>">

		<h1 class="title"><?php the_title( '' ); ?></h1>
		<?php

		if ( have_posts() ) {
			while ( have_posts() ) :
				the_post();

				the_content();

			endwhile;
		}

		$map_check = get_option( 'show_contact_map' );
		if ( 'show' === $map_check ) {
			$map_lati  = get_option( 'map_latitude' );
			$map_longi = get_option( 'map_longitude' );
			if ( ! empty( $map_lati ) && ! empty( $map_longi ) ) {
				?>
				<br/>
				<div class="single-img-box contact-map">
					<div class="frame-wrap">
						<div id="map_canvas">

						</div>
					</div>

				</div>

				<?php
			} else {
				echo '<h4 style="color:#f04040; line-height: 45px;">Important: Please provide map values in theme options.</h4>';
			}
		}

		if ( class_exists( 'Food_Recipes_Pack_Public' ) ) {
			Food_Recipes_Pack_Public::render_contact_form();
		}
		?>

	</div><!-- end of left-area -->
	<?php if ( is_active_sidebar( 'sidebar-7' ) ) { ?>
        <div id="sidebar" class="col-md-4 contact-sidebar">
			<?php
			dynamic_sidebar( 'sidebar-7' );
			?>
        </div><!-- end of sidebar -->
	<?php } ?>

</div><!-- end of sidebar -->

<?php get_footer(); ?>
