<?php
/*
* Template Name: Home Page
*/
get_header();

$slider_type = get_option( 'slider_type' );

if ( 'Thumbnail Slider' === $slider_type ) {
	get_template_part( 'sliders/thumb-slider' );
} elseif ( 'Nivo Slider' === $slider_type ) {
	get_template_part( 'sliders/nivo-slider' );
} elseif ( 'Basic Slider' === $slider_type ) {
	get_template_part( 'sliders/basic-slider' );
} else {
	get_template_part( 'sliders/right-info-slider' );
}
?>
	<div id="left-area" class="clearfix full-wide homepage">
		<?php
		if ( have_posts() ) :
			while ( have_posts() ) :
				the_post();
				?>
				<div <?php post_class(); ?> id="page-<?php the_ID(); ?>">
					<?php the_content(); ?>
				</div>
			<?php endwhile; ?>
		<?php endif; ?>
	</div><!-- end of left-area -->

<?php
$whats_hot_show = get_option( 'whats_hot_on_off' );
if( $whats_hot_show === 'on' ) {

	$whats_hot_type = get_option( 'whats_hot_posts_type' );

	if( $whats_hot_type === 'selected' ){
		$whats_hots = get_option( 'whats_hot_list_item' );
		$whats_hots = json_decode( $whats_hots );
		if ( is_array( $whats_hots ) ) {
			foreach ( $whats_hots as $whats_hot ) {
				$whats_hot_single[] = $whats_hot->title;
			}
		}

		if ( isset( $whats_hot_single ) ){
			$whats_hot_args = array(
				'post_type'           => array( 'recipe', 'post' ),
				'posts_per_page'      => - 1,
				'post__in'            => $whats_hot_single,
				'orderby'             => 'post__in',
				'post_status'         => 'publish',
				'ignore_sticky_posts' => true,
			);
		}
	} else {
		$home_recent_recipe = get_option( 'home_recent_recipe' );
		$whats_hot_args = array(
			'post_type'      => 'recipe',
			'posts_per_page' => isset( $home_recent_recipe ) ? $home_recent_recipe : '4',
			'post_status'         => 'publish',
			'ignore_sticky_posts' => true,
		);
	}


	$whats_hot_query = new WP_Query( $whats_hot_args );

	if ( $whats_hot_query->have_posts() ) :
		?>

		<!-- Home Page Whats Hot Recipe Area -->
		<div id="whats-hot">
			<h2 class="w-bot-border">
				<?php esc_html_e( 'What\'s', 'inspirythemes-food-recipes' ); ?>
				<span><?php esc_html_e( 'Hot', 'inspirythemes-food-recipes' ); ?></span>
			</h2>

			<ul class="cat-list row clearfix">
				<?php
				while ( $whats_hot_query->have_posts() ) :
					$whats_hot_query->the_post();
					global $post;
					?>
					<li class="col-md-3 col-xs-6">
						<?php
						$terms = get_the_terms( $post->ID, 'recipe_type' );
						if ( $terms && ! is_wp_error( $terms ) ) {

							$first_term = false;
							foreach ( $terms as $term ) {
								$term_slug = $term->slug;
								$term_name = $term->name;
								break;
							}

							if ( ! empty( $term_name ) && ! empty( $term_slug ) ) {
								?>
								<h3>
									<a href="<?php echo esc_url( get_term_link( $term_slug, 'recipe_type' ) ); ?>"><?php echo esc_attr( $term_name ); ?></a>
								</h3>
								<?php
							}
						} else {
							?>
							<h3>
								<?php
								$category = get_the_category();
								if ( ! empty( $category ) ) {
									?>
									<a href="<?php echo '?cat=' . $category[ 0 ]->term_id; ?>">
										<?php echo esc_attr( $category[ 0 ]->name ); ?>
									</a>
									<?php
								} else {
									echo '&nbsp;';
								}
								?>
							</h3>
							<?php
						}

						if ( has_post_thumbnail() ) {
							?>
							<a href="<?php the_permalink(); ?>" class="img-box">
								<?php the_post_thumbnail( 'recipe-4column-thumb' ); ?>
							</a>
						<?php } ?>
						<h4>
							<a href="<?php the_permalink(); ?>">
								<?php echo wp_kses_post( wp_trim_words( get_the_title(), 4, '...' ) ); ?>
							</a>
						</h4>
						<p>
							<?php echo wp_kses_post( wp_trim_words( get_the_excerpt(), 24 ) ); ?>
							<a href="<?php the_permalink(); ?>"><?php esc_html_e( '...more', 'inspirythemes-food-recipes' ); ?></a>
						</p>
					</li>
				<?php endwhile; ?>
			</ul>
		</div><!-- end of whats-hot div -->
	<?php endif; ?>

	<span class="w-pet-border"></span>
	<?php
} // whats hot show

if ( is_active_sidebar( 'sidebar-4' ) ) { ?>
    <div id="home-infos" class="row clearfix">
		<?php
		dynamic_sidebar( 'sidebar-4' );
		?>
    </div><!-- end of sidebar -->
<?php
}
?>

<?php get_footer(); ?>
