<?php
/*
* Template Name: Recipes Listing Template
*/

get_header();

if ( is_active_sidebar( 'sidebar-2' ) ) {
	$wrap_classes = 'col-md-8';
} else {
	$wrap_classes = 'col-md-12 full-wide';
}
global $post;
?>
<div class="row recipe-listing-row">
	<div id="left-area" class="clearfix <?php echo esc_attr( $wrap_classes ); ?>">

		<h1 class="listing-title"><?php the_title(); ?></h1>

		<?php
		$recipe_sorting = get_option( 'recipe_show_sorting', 'on' );
		if ( 'on' === $recipe_sorting ) {
			get_template_part( 'inc/recipe-sorting' );
		}
		?>
		<span class="w-pet-border"></span><br/>
		<?php

		$recipes_per_page = get_option( 'recipes_per_page_listing', 6 );

		if ( get_query_var( 'paged' ) ) {
			$paged = get_query_var( 'paged' );
		} elseif ( get_query_var( 'page' ) ) {
			$paged = get_query_var( 'page' );
		} else {
			$paged = 1;
		}
		query_posts( 'posts_per_page=3&paged=' . $paged );

		$recipe_args = array(
			'post_type'      => 'recipe',
			'posts_per_page' => $recipes_per_page,
			'paged'          => $paged,
		);
		if ( 'on' === $recipe_sorting ) {
			switch ( $_GET['recipe-sort'] ) {

				case 'title':
					$recipe_args['orderby'] = 'title';
					$recipe_args['order']   = 'ASC';
					break;
				case 'rating_average':
					$recipe_args['orderby']  = 'meta_value_num';
					$recipe_args['meta_key'] = 'rating_average';
					$recipe_args['order']    = 'DESC';
					break;
				case 'rating_counter':
					$recipe_args['orderby']  = 'meta_value_num';
					$recipe_args['meta_key'] = 'rating_counter';
					$recipe_args['order']    = 'DESC';
					break;
				case 'views':
					$recipe_args['orderby']  = 'meta_value_num';
					$recipe_args['meta_key'] = 'views';
					$recipe_args['order']    = 'DESC';
					break;
				case $_GET['recipe-sort']:
					$recipe_args['orderby'] = $_GET['recipe-sort'];
					break;
			}
		}
		$recipe_query = new WP_Query( $recipe_args );

		if ( $recipe_query->have_posts() ) :
			while ( $recipe_query->have_posts() ) :
				$recipe_query->the_post();

				get_template_part( 'inc/recipe-post' );

			endwhile;
		else :
			?>

			<div <?php post_class(); ?> id="post-<?php the_ID(); ?>">
				<h2 class="post-title"><?php esc_html_e( 'No Recipes Found', 'inspirythemes-food-recipes' ); ?></h2>
			</div><!-- end of post div -->

		<?php endif; ?>

		<?php
		// Pagination.
		inspiry_theme_pagination( $recipe_query );
		?>
	</div>
	<!-- end of left-area -->
	<!-- LEFT AREA ENDS HERE -->
	<?php if ( is_active_sidebar( 'sidebar-2' ) ) { ?>
        <div id="sidebar" class="col-md-4">
			<?php
			dynamic_sidebar( 'sidebar-2' );
			?>
        </div><!-- end of sidebar -->
	<?php } ?>

</div>
<?php get_footer(); ?>
