<?php
/*
* Template Name: User Profile
*/

/* Get user info. */
global $current_user, $wp_roles, $referer;
wp_get_current_user();

$error       = array();
$post_globel = $_POST;
/* If profile was saved, update profile. */
if ( ! empty( $post_globel['action'] ) && $post_globel['action'] == 'update-user' ) {

	/* Update user password. */
	if ( ! empty( $post_globel['pass1'] ) && ! empty( $post_globel['pass2'] ) ) {
		if ( $post_globel['pass1'] === $post_globel['pass2'] ) {
			wp_update_user( array( 'ID' => $current_user->ID, 'user_pass' => esc_attr( $post_globel['pass1'] ) ) );
		} else {
			$error[] = esc_html__( 'The passwords you entered do not match.  Your password was not updated.', 'inspirythemes-food-recipes' );
		}
	}

	/* Update user information. */
	if ( ! empty( $post_globel['url'] ) ) {
		wp_update_user( array( 'ID' => $current_user->ID, 'user_url' => esc_attr( $post_globel['url'] ) ) );
	}

	if ( ! empty( $post_globel['email'] ) ) {
		if ( ! is_email( esc_attr( $post_globel['email'] ) ) ) {
			$error[] = esc_html__( 'The Email you entered is not valid.  please try again.', 'inspirythemes-food-recipes' );
		} elseif ( email_exists( esc_attr( $post_globel['email'] ) ) !== $current_user->id ) {
			$error[] = esc_html__( 'This email is already used by another user.  try a different one.', 'inspirythemes-food-recipes' );
		} else {
			wp_update_user( array( 'ID' => $current_user->ID, 'user_email' => esc_attr( $post_globel['email'] ) ) );
		}
	}

	if ( ! empty( $post_globel['first-name'] ) ) {
		update_user_meta( $current_user->ID, 'first_name', esc_attr( $post_globel['first-name'] ) );
	}

	if ( ! empty( $post_globel['last-name'] ) ) {
		update_user_meta( $current_user->ID, 'last_name', esc_attr( $post_globel['last-name'] ) );
	}

	if ( ! empty( $post_globel['display_name'] ) ) {
		wp_update_user(
			array(
				'ID'           => $current_user->ID,
				'display_name' => esc_attr( $post_globel['display_name'] ),
			)
		);
	}

	update_user_meta( $current_user->ID, 'display_name', esc_attr( $post_globel['display_name'] ) );

	if ( ! empty( $post_globel['description'] ) ) {
		update_user_meta( $current_user->ID, 'description', esc_attr( $post_globel['description'] ) );
	}

	if ( ! empty( $post_globel['user_designation'] ) ) {
		update_user_meta( $current_user->ID, 'user_designation', esc_attr( $post_globel['user_designation'] ) );
	}

	if ( ! empty( $post_globel['twitter'] ) ) {
		update_user_meta( $current_user->ID, 'twitter', esc_attr( $post_globel['twitter'] ) );
	}

	if ( ! empty( $post_globel['facebook'] ) ) {
		update_user_meta( $current_user->ID, 'facebook', esc_attr( $post_globel['facebook'] ) );
	}

	if ( ! empty( $post_globel['google'] ) ) {
		update_user_meta( $current_user->ID, 'google', esc_attr( $post_globel['google'] ) );
	}

	if ( ! empty( $post_globel['linkedin'] ) ) {
		update_user_meta( $current_user->ID, 'linkedin', esc_attr( $post_globel['linkedin'] ) );
	}

	if ( ! empty( $post_globel['youtube'] ) ) {
		update_user_meta( $current_user->ID, 'youtube', esc_attr( $post_globel['youtube'] ) );
	}


	$size = intval( $_FILES['photo']['size'] );

	if ( ! empty( $_FILES ) && ! empty( $size ) ) {
		foreach ( $_FILES as $file ) {
			if ( is_array( $file ) && ( ( $file["type"] == "image/jpeg" ) || ( $file["type"] == "image/png" ) ) ) {
				$attachment_id  = upload_user_file( $file );
				$attachment_url = ( wp_get_attachment_url( $attachment_id ) ) ? wp_get_attachment_url( $attachment_id ) : $attachment_id;
				update_user_meta( $current_user->ID, 'photo', esc_attr( $attachment_url ) );
			}
		}
	}


	// Redirect so the page will show updated info.
	// I am not Author of this Code- i dont know why but it worked for me after changing below line to if ( count($error) == 0 ){
	if ( 0 === count( $error ) ) {
		//action hook for plugins and extra fields saving
		//  do_action('edit_user_profile_update', $current_user->ID);
		wp_redirect( get_permalink() . '?updated=true' );
		exit;
	}
}

get_header();
$profile_layout = get_option( 'users_profile_layout' );

if ( class_exists( 'Food_Recipes_Pack_Public' ) ) :
?>

	<div class="row recipe-listing-row">
	<div id="left-area" class="<?php echo ( 'true' === $profile_layout ) ? 'profile-full-width col-md-12' : 'col-md-8'; ?> clearfix">

		<h1 class="title"><?php the_title(); ?></h1>
		<span class="w-pet-border"></span>

		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

			<div id="post-<?php the_ID(); ?>">

				<div class="entry-content entry">

					<?php the_content(); ?>

					<?php if ( ! is_user_logged_in() ) : ?>

						<p class="warning">
							<?php esc_html_e( 'You must be logged in to edit your profile.', 'inspirythemes-food-recipes' ); ?>
						</p><!-- .warning -->
					<?php else : ?>

						<h3 class="user-form-title">
							<?php esc_html_e( 'Update Information for', 'inspirythemes-food-recipes' ); ?>
							<span><?php echo esc_html( $current_user->display_name ); ?></span>
						</h3>

						<?php
						if ( isset( $_GET['updated'] ) && 'true' === $_GET['updated'] ) {
							echo '<div id="message" class="updated"><p>' . esc_html__( 'Your profile has been updated.', 'inspirythemes-food-recipes' ) . '</p></div> ';
						}
						if ( count( $error ) > 0 ) {
							echo '<p class="error">' . implode( '<br />', $error ) . '</p>';
						}
						if ( class_exists( 'Food_Recipes_Pack_Public' ) ) {
							Food_Recipes_Pack_Public::render_user_profile_form( $current_user, $referer );
						}
					endif;
						?>
				</div><!-- .entry-content -->
			</div><!-- .hentry .post -->
		<?php
		endwhile;
		else:
			?>
			<p class="no-data">
				<?php esc_html_e( 'Sorry, no page matched your criteria.', 'inspirythemes-food-recipes' ); ?>
			</p><!-- .no-data -->
		<?php endif; ?>
	</div><!-- end of left-area -->
<?php
endif;
if ( 'false' === $profile_layout ) {
   if ( is_active_sidebar( 'sidebar-12' ) ) { ?>
        <div id="sidebar" class="col-md-4">
			<?php dynamic_sidebar( 'sidebar-12' ); ?>
        </div><!-- end of sidebar -->
		<?php }
}
echo '</div>';
get_footer();
